Disclaimer

This WebSite X5 guide refers to the EVOLUTION version and explains all the functions offered.
It is however possible to refer to this guide for any other version, but with the relevant limitations of each version.

The "Working environment" section includes notes marked by one of the following icons:

 More information
More information is given about the relating topic.

Practically
Suggestions are given on what to do practically.

Clarifications
Further technical or theoretical clarifications are given.

Attention!
A warning note to read carefully.

Date last update: 28/02/07


Introduction

Incomedia WebSite X5

The easiest software for creating professional web sites and online shops

What is it
WebSite X5 is a completely visual software, structured as a guided intuitive process, that in just 5 steps allows the user to create, customize and publish professional web sites and online shops.

Who can use it
- | Individuals, associations or clubs that want an easy and creative software for the creation of web sites and photo albums.
- | Businesses that need a professional software to create sites and online shops.
- | Web Designer who want a complete and versatile software to produce sites to show their customers.
- | Public bodies and Schools who need an easy-to-use software to create their site.

Why is it simple to use
- | No programming skills required.
- | Guided procedure for the creation of sites: for each step only the needed functions are presented.
- | Gallery of over 1000 ready-to-use graphic templates.
- | Online guide, available also in PDF and video tutorials.

Why is it powerful
- | No limit to the number of pages and web sites that can be created.
- | It includes: an e-commerce form pre-set for credit card payments, 3D button editor, FTP engine and tools for the creation of a reserved area, Feed RSS and multi-language sites.
- | Graphic editor to touch up images with the application of filters, frames and masks.
- | Sites created in XHTML, compatible with the main Browsers, navigable from mobile phones and indexable by search engines.

In this guide you can find all the information related to:

- | WebSite X5: What does it do
- | Informations


Incomedia WebSite X5: What does it do

Incomedia WebSite X5 allows to create in simple and quick way Websites, e-commerce cart, digital photo-albums or interactive presentations. Projects can be developed according to a net structure and articulated by level menus: in this way you can insert an unlimited number of pages.

The user can set the layout of each page and complete it inserting the different objects that program offers: texts, images, tables, Flash™ animations, video, sound, Slide Show, images Browser, HTML objects, e-mail sending forms.

WebSite X5 presents many interesting functions for images editing, making unnecessary the use of external graphic programs. Using the automatic save of images into a compressed format, the user does not need to optimize photos before inserting them.

The big archive of graphic models, the internal editor for three-dimensional buttons creation, the large possibilities of graphic customization, the intro insertion, the setting of languages selection, the creation of a reserved area protected by a password, the possibility to create and manage Feed RSS and online shops enabled for credit card payments, allow enriching the site making it complete and professional.

At the end, WebSite X5 allows to publish directly the realized project on net, without using external FTP programs (File Transfer Protocol).

Working with WebSite X5

WebSite X5 operates like a wizard, a visual guide that accompany you, step by step, in the creation of a complete, functional and graphically attractive Website.

The steps required to create your WebSite are only 5:
1. | Website General Settings After having specified the projects to work to and having inserted some general information, as the Description and the Key Word for Search Engines indexing, WebSite X5 allows to define the site graphics: you have a gallery of more than 1000 models among who to select the one to apply to the site, with the color you prefer. Through the appropriate internal editor the banners of the models can be freely customized; moreover you can create and use an own original model animated in Flash.
2. | Map creation Starting from the Home Page, WebSite X5 allows you to proceed to the definition of the site tree-structure. You can set until 4 deepening levels to organize an unlimited number of pages. According to the map, the navigation menu will be dynamically created. The site map can be modified in every moment to can easily updating the site.
3. | Pages creation The creation and layout of each page is made with the simple drag and drop of the available objects: texts also with RollOver, images, Flash™ Animations, Video and Sound, Formatted tables, Slide Show, images galleries, HTML objects, forms for data collection and e-mail sending. The imported objects can be customized and completed with the insertion of links both to internal and external resources. Thanks to the internal graphic editor it is possible to rotate, correct or apply filters, masks and frames to the images imported without using external software.
4. | Advanced Settings To complete the site customization, you can set the style of menus, of text and of the scrolling bar. Thanks to an internal editor, you can create three-dimensional buttons with the setting of the correspondent mouseover effect. Moreover, the site can have an intro, also animated in Flash, with soundtrack and language selection. At last, you can easily create a reserved area protected by a password, a Feed RSS and a e-commerce cart.
5. | Export WebSite X5 allows the internet upload of the created site: you start an FTP session to transfer all the necessary files on server to make immediately visible the site on the Web. In case of updates, it is possible to publish only the modified files. Besides the Internet Upload you can export the project on a different disk of your PC or group all files to can easily move them on another workstation.


Welcome to Incomedia WebSite X5

This is the opening window of WebSite X5: it synthetically presents the program, explaining its aims and functions.

Since WebSite X5 is a wizard, that is a guided management, for Internet sites creation, to work with this program it will be enough insert the information requested in the many different windows and use the Next and Back buttons to move among them.

The following controls are also displayed:

 Updates
It launches the link to Internet to verify the availability of updates.

Tutorial
It launches the VideoTutorials useful to understand how to start working with the program.

Online assistance
It launches the link to the official WebSite X5 forum, available in Italian, English and German.

Proceed by clicking one of the following buttons:
- | Next: Move to the next window to proceed with your WebSite creation.
- | Exit: Save the project and exit from Website X5.


Project selection

This window allows you to select an existing project or create a new one.

- | Create a new project: starting this option you begin the realization of a new site. You can save the new project with the Save button always present in the top toolbar.
- | Edit an existing project: starting this option you select to open a previously created project to make some changes to it. The project to work on can be chosen through the specific fall-down menu which shows the recently opened projects or by clicking [image] to browse through the Resources of the computer. The name of the open project is viewed in the field Project file name.

Once selected the project, you can proceed using the following buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the next window.


General Settings

This window gathers, through proper fields, some information useful to set the project basic parameters.

The following data will be requested:

-

Website title: Enter the Title for your WebSite. This will be displayed in the Title Bar of the Internet Browser.

-

Website Author: Enter your name in order to be identified as the Author of your WebSite. The author name is indicated in the XHTML code as value of the Meta Tag <AUTHOR>.

-

E-mail: Enter your e-mail address in order to be contacted by your WebSite visitors. You email address will become a link at the bottom of the WebSite where visitors can click and send you an email quickly and efficiently.

-

Website description: Enter a short description of your WebSite. The site description is indicated in the XHTML code as value of the Meta Tag <DESCRIPTION>. This information is used by search engines and spiders to evaluate the content of your site and index it in their directories.

-

Keywords: Enter words that are relevant to your WebSite and separate them with a comma. The keywords are indicated in the XHTML code as value of the Meta Tag <KEYWORDS>. This information will be analysed by search engines and used for advanced researches.

The description and the list of key words entered through this field are automatically used for all the pages of the site. If you wish to associate a specific page with a description and a list of different key words, just access Map creation and use the relevant functions available in the window retrieved using the control Property of the page.

-

Footer note: Enter the text to be displayed at the bottom of your web page (copyright, last update etc).

Writing [DATE] the current date is automatically displayed, and it will be constantly updated. For example you can write: "Today is [DATE]".
Writing [NOW] the current day indication is displayed. For example you can write: "Updated on [NOW]".
Writing [HOUR] the current hour indication is displayed, which will be constantly updated. For example, you can write: "It's [HOUR]".

-

Content language: it is possible to specify the language of the site. According to the chosen language, different versions are used for the texts inserted automatically by the program: link to internal anchors, buttons of the Slide Show object, lables of the send e-mail Module object, labels and texts of e-commerce carts, texts of site map. These texts are automatically retrieved by the file Language.ini present in the software installation folder.

The Language.ini file is a simple text file that can be opened with any editor (for example, Windows Notepad) and freely modified: by complying with the proposed structure, it is also possible to add new languages, not foreseen at first.

-

Website icon: it is possible to specify which icon (file .ico or .bmp) to associate with the Web pages of the site. This icon shall be displayed on the left of the URL in the address bar of the Internet Browser (only Internet Explorer and Firefox) in the menu of the Favorite Sites (only Internet Explorer).

Generally, the icon associated to a site (or favicon, English for favorites icon) should be an image in .ICO format, 16x16 pixel, 32x32 pixel or 48x48 pixel.
WebSite X5 allows to import also .BMP files: in these cases, the program automatically creates a copy as file .ICO 48x48 pixel, 16 colors optimized palette and uses this copy as favicon.

After completing the required information please proceed by clicking on one of the following buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the next window.


Menu selection

This window allows to select the menu vertical or horizontal structure for the site, if always display the sub-menus items on the left of the main page and if the items of the first level menu have to be used as textual links on the bottom of the page.

Menu Verticale | Vertical menu Your menu will appear on the left side of your WebSite with all the pages and folders of your website displayed vertically.
Menu Orizzontale | Horizontal menu Your menu will appear on the top of your WebSite with all the pages and folders of your website displayed horizontally.

The following options are available:
- | Show the items of first level menu on the bottom of the page: the items of the first level menu are repeated as textual links positioned on the bottom of the page. In this menu on the bottom of the page the link that brings to the displaying of the entire site map pops up automatically.
- | Show on the left of the page a sub-menu with the level items: any sub-menu, relating the slected first level item, is displayed on the left side of the screen.

Apart from the selected structure type, the menu can be articulated in levels and sub-levels (reaching a maximum of 4 search levels) but, while the vertical menu allows a maximum of 24 items for the first level, for the horizontal menu the maximum limit depends on the graphic model selected.

For further information on creating the menus please click here: Map Creation.

After completing the required information please proceed by clicking on one of the following buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the next window.


Style template selection

Selecting the structure type for the website (with vertical menu or horizontal menu), Website X5 provides a rich catalogue of style templates in appropriate categories.

The style templates define the graphical interface.

Even if the base structure is similar, each style model distinguishes itself by the background images, the inserted graphic elements and the used colors. The Animated category includes the models presenting a Flash™ animated banner.

All kinds of banners, except for the Flash animated banners, can be customized by inserting texts, images, Flash animation and links: the options needed are presented in the Upper banner editor window which can be accessed by clicking on Next.

You may even want to create your own template. Select Custom Template instead of predefined templates.

First of all to define the graphic style of the site you need to select one of the following options:
- | Custom template: to define your own style.
- | Default template: to apply one of the predefined style models chosen among the ones offered.

If you decide to use a predefined model, you can select the style model browsing the Templates list: to open and close the different categories double click on them or use the symbols (+) and (-) on the left of each folder.

Some keyboard shortcuts to make navigation easier:
- | CTRL + E: To expand all the categories.
- | CTRL + R: To collapse all the categories.
- | SPACE: To open or close the selected category.

In order to assist you in the selection between the available styles, a selected template preview appears in the Preview window.

There are 4 Color Variants for each model: to display the preview pertinent to a variant or to select it click on the colored related button, present in the section Colors, below the Preview box.

 The models are optimized for a 1024 x 768 pixel display. If you want to analyze a site with different resolution, you can use the Custom Template.

The graphic files relating the different predefined models are stored in the sub-folder /Models of the program installation folder.
For example, the file relating the "Vortex" model present in the "Abstract" category are saved following the paths below:
- | /Models/Vortex/Hor - for the template with the horizontal navigation menu;
- | /Models/Vortex/Ver - for the template with the vertical navigation menu.
The sub-folders /Hor and /Ver include other sub-folders with the indication of a hexadecimal value: to continue with the example, #73BBBE, #73BE93, #9883AD and #A4A2A9. Each one of these 4 sub-folders matches a color variation of the model. Positioning the cursor of the mouse on buttons that allow to choose the color variation to use, in fact, the indication of the hexadecimal value (matching the name of a sub-folder) is displayed in a tooltip.

After selecting the template and applying it to the pages of your WebSite, you can click on one of these buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the next window.


Custom Template

To open this window, select Custom Template in the Style template selection and click Next.

From here you can create and customise your own style template.

This window shows you two panels side by side:
- | a graphic representation of your web page showing the layout of the available page areas. This coincides with the options you have selected in the Menu Type window. You can click on the desired page area to select it.
- | the available settings for each element of your web page.

The areas in which the page is divided are as follows:
1 - | Top bar: it's the banner, a graphic section suitable to hold elements such as title and sub-title of the site, corporate logo, service menu with links, for example, to display the site map or the different language options.
2 - | Menu: it's the area that will hold the fixed navigation, the first level items of the menu that have to be presented, unchanged, on every page of the site. The menu can be horizontal or vertical, according to the choice made in the Menu selection window.
3 - | Page contents: it's the area that will hold the content of the pages and the navigation sub-menus.
4 - | Footer: it is the footer where notes and the e-mail address of the author of the site are displayed.
5 - | Site background: it's the external area of the site and it is displayed when the window of the Browser is opened with dimensions higher than the resolution of the site itself.

It is possible to use the following options in the above areas:
- | Color: it allows to specify, through the Color window retrieved, the background color for the area of the selected page.
- | Image: it allows to specify an image (.jpg, .gif or .png) to insert as background for the area of the selected page. As regards the upper banner it is possible to also foresee a Flash animation (.swf).
- | Repeat: it allows to specify whether the image inserted as background must be repeated or not. The image can be repeated only horizontally, only vertically, or in both directions in order to occupy the entire space available.
- | Alignment: it allows to specify how to align the inserted image in relation to the area of the selected page.

Only for the area "Site background" the following option is available:

-

Fixed background: by enabling this option, the image inserted as site background is kept fixed even when the content of the page is scrolled down.

For all the areas of the page, except for the area "Site background", the following option is available:

-

Width: the value expressed in pixel of the width of the area of the selected page. The default value is 988 pixel and it can be modified for the area "Top bar". The value set for the "Top bar" is automatically used for the "Menu", the "Page contents" and the "Footer".

The value of the default width was calculated to obtain a site optimized for viewing at 1024 x 768 pixel.

For structures with a vertical menu (set in the Menu selection window), for the "Page contents" also the value in pixel of the menu width is indicated: this indication can be useful to prepare the image that has to be inserted as background of this area of the page.

The areas of the "Top bar", "Menu" and "Footer" page can use the option:

-

Height: it allows to specify the value in pixel of the height of the selcted section.

Finally, for the areas of the "Menu", "Page content" and "Footer" page the following options may be used:
- | Left margin: it allows to specify the value in pixel to set for the left margin.
- | Right margin: it allows to specify the value in pixel to set for the right margin.
- | Top margin: it allows to specify the value in pixel to set for the upper margin.

 The width of the pages of the site is given by the width of the "Page content" area (which depends on the one of the "Top bar" area) minus the left and right margin.

The banner of the model can be completed by inserting texts, images, Flash animation and links: the options needed are presented in the Upper banner editor window. To access click on Next.

To directly display the preview of the created style template with the internal Browser , click on the push-button Test.

When you have completed your Customized Template press one of the following buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the next window.


Upper banner editor

To display this window just click on Next after selecting the favourite model among those presented in the Style template selection window or after creating a customized model through the options in the window Custom template.

 The window Upper banner editor is not shown if you decide to use an Animated Model, i.e. a model that uses a Flash animated banner.

Through this window it is possible to customize the upper bar (or banner) of the chosen graphic model, adding texts, images, animations and necessary links.

The window has a graphic editor inside in which the image on the upper banner appears: the image is displayed in scale 1:1 and can slide through the relating horizontal scroll bar.

The tool bar of the graphic editor includes the following controls:
Taglia | Cut [CTRL+X] Cut the selected text or image to paste it in a different area.
Copia | Copy [CTRL+C] Copy the selected text or image to paste it in a different area.
Incolla | Paste [CTRL+V] Paste text or image from the clipboard by clicking Cut or Copy.
Annulla | Undo [CTRL+Z] Undo the last operation.
 | Bring to front It allows to bring to front the text object, the image or Flash animation, basically over the other overlapped objects.
 | Send to back It allows to send to back, basically under the other overlapped objects, the text object, the image or Flash animation.
 | Apply a link to this object It allows to set a link on the selected text or image. It is possible to define the settings of the link through the retrieved Link window.
 | Insert text It allows to insert a text.
 | Insert image It allows to insert an image.
 | Insert Flash animation It allows to insert a Flash animation.

 The inserted animation is displayed only when the site is opened in the Browser.

Compatibly with the space available, there is no limit to the number of texts, images and animation you can insert.

Selecting directly the background image of the banner it is possible to work on the following options present in the section Background properties:

-

Image File: it allows to display the path relating the graphic file inserted as background of the banner. It is possible, however, to replace the image present with a new image: it is possible to use files in JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA, WPG format.

Knowing the path of the graphic file used as background of the banner may be useful to identify this file easier, open it and modify it with an external editor and save a copy to replace the original.

By selecting an inserted text it is possible to use the following options in the section Text properties:
- | Content: it allows to enter the content of the text.
- | Font: it allows to define, through the retrieved window, the type of character, the style and the size in dots for the text.
- | Text color: it allows to define, through the Color window retrieved, the color for the text.
- | Background color: it allows to define, through the Color window retrieved, the color for the background of the text.

By selecting an inserted image it is possible to use the following options in the Image properties section:
- | Image File: it allows to select the graphic file related to the image to insert. It is possible to use files in JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA, WPG format.
- | Transparency enabled: by enabling this option the transparency is enabled on the image, making the specified color invisible.
- | Color: it allows to specify, through the Color window retrieved, the color of the inserted image that must be made invisible if the option Transparency enabled is active. In these cases, the "dropper" tool is very useful because it allows to capture the color directly form the image.
- | Tolerance: it allows to specify the tolerance factor to apply the transparency. The higher the value of the tolerance, the wider the transparent area of the image.

Finally, by selecting an inserted Flash animation it is possible to use one of the following options in the section Flash animation properties:
- | Animation file: it allows to select the SWF file relating the Flash animation to insert.
- | Transparent background: by enabling this option the background of the animation becomes invisible.

For the texts and/or images inserted it is then possible to use the following options present in the section Effects:
- | Effect type: it allows to select the effect to apply to the selected text or image.
- | Effect enabled: by enabling this option the selected effect is applied to the text or image you are working on.

More than one effect can be applied simultaneously to each text and image: it is possible to work on various settings for each effect:
Effect | Settings
Drop Shadow | - | Diffusion: it allows to define how large the shadow to apply must be.
 | - | Color: it allows to define through the Color window retrieved, the color of the shadow to apply.
 | - | Offset X: it allows to define by how much the shadow must be shifted horizontally in relation to the object it is applied to. By inserting a positive value the shadow shifts to the right; otherwise, by inserting a negative value the shadow shifts to the left.
 | - | Offset Y: it allows to define by how much the shadow must be shifted vertically in relation to the object it is applied to. By inserting a positive value the shadow moves downwards; otherwise, by inserting a negative value the shadow moves upwards.
Border | - | Thickness: it allows to define the value in pixel of the thickness of the border to apply.
 | - | Color: it allows to define through the Color window retrieved, the color of the border to apply.
Inner glow | - | Diffusion: it allows to define how widespread the flash to apply must be.
 | - | Color: it allows to define through the Color window retrieved, the color of the flash to apply.
Bevel | - | Depth: it allows to define how rounded the effect must be.
 | - | Diffusion: it allows to define how big the rounding to apply must be.
 | - | Angle: it allows to define the angle of the rounding to apply.
Rotation | - | Angle: it allows to set the value of the rotation angle (clockwise rotation) to apply.
Alpha | - | Alpha: it allows to set a value from 0 to 255 to define the alpha level of the image. For values close to 0 the alpha level of the image drops, therefore it becomes more transparent.
Antialias | - | Antialias: it allows to set a value that defines how widespread the antialiasing effect to apply must be. The antialiasing is used to make the borders of the object less fragmented.

The selection of a text, an image or an inserted animation entail the appearance of the selection anchors. They can be used to modify the size and position of the objects. After selecting an object it is possible to move it one pixel at a time using the arrow buttons or 10 pixels at a time by keeping the CTRL button pressed along with the arrow buttons.

To directly display the preview of the created benner with the internal Browser, click on the push-button Test.

When you have completed your customized banner press one of the following buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the next window.


Map Creation

This window allows you to create the Website map.

The site is articulated according to the tree structure of the map: the definition of that structure, empty of contents, is the requisite necessary to proceed to the effective creation of each page.

The map creation requires the Home Page, always present, and a set of connected pages through the menu: you have, then, to insert all pages organizing, at the same time, the different menu levels. The controls necessary to define the site map are:

-

New level [CTRL+L]: Allows you to insert a new level. A level can contain further levels and pages. The selection of Vertical or Horizontal menu type establishes the number of levels you can insert.
- | Vertical Menu: If you select Vertical Menu Type you can create 4 deepening levels with a maximum of 24 menu items for the first level.
- | Horizontal Menu: If you select Horizontal Menu Type you can create 4 deepening levels with a maximum of menu items according to the chosen graphic model.

-

New page [CTRL+N]: Allows you to create a new page. The new page will be inserted into the current level.

-

Remove [CANC]: Remove the selected page or level.

-

Rename [F2]: Rename the Home Page, selected page or level. It is necessary to correctly name the levels and the pages inserted since the items of the map will be automatically used in the navigation menu, as titles of each single page and as names of the HTML files matching the pages themselves, if not otherwise specified through the Page properties window (see below).

-

Move Up [CTRL+S]: Allows you to modify the order of the pages or the levels. Select a page or level and click Move Up to move the item up.

-

Move Down [CTRL+G]: Allows you to modify the order of the pages or the levels. Select a page or level and click Move Down to move the item down.

To change the order of levels and pages you can directly operate on the map selecting the item, dragging and dropping it on the desired position (Drag&Drop).

The window where the tree structure of the site map is displayed has a pushbutton panel with the following controls:

Taglia

Cut
Cut the selected page to paste it in a different area.

Copia

Copy
Copy the selected page to paste it in a different area.

Incolla

Paste
Paste page from the clipboard by clicking Cut or Copy.

For the map creation you can use also the controls Cut, Copy, Past and Remove, present in the menu accessible clicking directly on the map items.

Hidden page
Starting this option the main menu doesn't show the link to the page. The pages hidden on the menu can be used as deepening pages and they can be opened by internal links: you have to create at least one link to them.

The levels inserted in the map can be empty or contain only pages hidden by menus through the proper option: in these cases, the levels are not displayed in the navigation menu.
Also the Home Page can be hidden on the menu: it is better to hide the Home Page only when its link is present in other site points, for example in the animated banner of a custom template.

Locked page
It allows to retrieve the Locked page window through which it is possible to set the page as protected and specify which reserved area it belongs to.

For each site created it is possible to foresee one or more reserved areas, made up of different pages and protected through a specific username and password.
The Locked Page window has the list of all the reserved areas already created: after enabling the option Set this page as locked just specify which protected areas it belongs to by cliking on them.
To create new reserved areas just access the Reserved Area window in the Advanced settings section.

Inserisci effetto

Page transition
It allows to retrieve the Page transition window, through which you can select the page transition. You can define the Delay (in seconds) for each transition and display a preview in the proper frame.

Page Transitions will only work on Internet Explorer 5 or later.

Page properties
It allows to retrieve the Page properties window through which it is possible to define a series of properties for the selected page.

The options available in the General section are:
- | Extended page title: it allows to specify a title different from the one inserted in the map. The name given to the page when the map is being created is kept as item in the navigation menu. The extended page title specified in the Properties of the page is displayed as the real title of the page.
- | Description: it allows to insert a specific description for the page, to use instead of the generic description set for the site through the relating field of the window General settings. The description of the page must be brief and precise: it is inserted in the <DESCRIPTION> META TAG in the XHTML code of the page and used by the Search engines for indexing.
- | Keywords: it allows to insert the key words specific for the page, to use instead of the key words set for the site using the specific fileld of the General settings window. The key words are inserted as value of the <KEYWORDS> META TAG in the XHTML code of the page and used by the Search engines for indexing.
- | File name: it allows to specify the name of the HTML file relating the page. If not otherwise specified, the name given to the page during the construction of the page is used as the name of the HTML file. Giving short and precise names to the files allows to obtain simple addresses, easy to memorize and is also positive for the indexing of the Search engines.

The options available in the Advanced section are:
- | Code to add in the page header: it allows to specify the lines of code to insert in the HEAD of the HTML code relating the page. This option is useful when, for example, you want to insert JavaScript through the HTML object: for the correct operation of these objects in fact it is necessary to insert lines of code in the head of the HTML file.
- | File name format: it allows to specify the extension which will be used for the file of the page. The default extension is .html but it is possible to choose from .php, .asp, .cfm and .jsp.

If the page is protected, it will necessarily be saved as a .php file.

According to the map defined, the Site map page is created. The items of the site map are active links to the single pages: the map represents a useful orientation and navigation tool for the user. The items of the map can be displayed by using the controls "Expand all" and "Contract all".
The Site map can be made available by inserting proper links on the texts and images of the pages (see window Links) or through the menu on the bottom of the page in which the link with the map is inserted automatically (it can be enabled thanks to the option Show the items of first level menu on the bottom of the page in Menu selection). In any case, the site map is created and linked in the HTML code of the pages through the "SiteMap" Meta-Tag, to allow a better indexing of the contents on behalf of the Search Engines.

After the map articulation, WebSite X5 suggests to realize each page of the site, presenting them one after the other. You can use the map to directly pass to the window of the program that allows to work on a desired page: you have to double click on the correspondent item.

After creating your map, you can proceed by clicking one of the following buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the next window.


Objects insertion

This window allows you to insert objects in a page.

The page name will be shown next to the heading Current page to enable you to identify which page you are working on.

This window includes two frames side by side.
- | A schematic representation of the page which shows the page contents and settings.
- | An Object list of all available objects to insert into the page.

Page layout setting

To make the layout of the contents easier, WebSite X5 uses a grid, which by default is made up of two rows and two columns, in which every cell may contain a different object. The number of rows and columns can be modified in order to have a larger number of cells for the contents.

Every cell of the grid can contain just one object but an object can be arranged horizontally or vertically on more than one adjacent cell, in order to occupy a larger space on the page.

By using the controls indicated on the tool bar it is possible to define the structure and the graphic settings of the layout grid.

The controls available to operate on the layout table are:
Contenuto oggetto | Object Content: Allows you to access the object creation window.
Aspetto cella | Cell Format: Allows you to change the graphic settings of a cell.
Alleneamento | Alignment: Allows you to set the alignment of an object in a cell.
Allarga di una colonna | Enlarge by one column: allows the selected object to occupy one more column.
Allarga di una riga | Enlarge by one row: allows the selected object to occupy one more row.
Riduci di una colonna | Reduce by one column: for objects occupying more columns, it makes the object to occupy one less column.
Riduci di una riga | Reduce by one row: for objects occupying more rows, it makes the object to occupy one less row.
 | Add a new row: Add a new row next to the selected row. You can create tables with a maximum of 28 rows.
 | Add a new column: Add a new column next to the selected column. You can create tables with a maximum of 6 columns.
 | Delete a row: allows to eliminate the specified row through the opened dialog window.
 | Delete a column: allows to eliminate the last right column.

Objects Insertion

To insert an object, you just need to choose an object from the available Objects list. After selecting one, simply drag and drop it on the page in appropriate cell.

Each cell in the page can contain one object but an object can occupy more than one cell. You can drag the Object to span multiple cells on the page. You can use the tools to edit the parameters of the different cells: Allarga di una colonna Enlarge by one column, Allarga di una riga Enlarge by one row, Riduci di una colonna Reduce by one column and Riduci di una riga Reduce by one row.

You can also right click with the mouse to use Cut, Copy, Paste, Remove and Cell Format commands.
Using these controls you can, for example, create a copy of an object pasting it into another cell or another page, or delete it. An inserted object can be deleted from the page dragging it outside the page or using the CANC button. However, inserting a second object into a cell, you automatically obtain the deleting of the first one and its substitution with the second one.
The controls Copy style and Paste style, present in the sub-menu opened with the Cell Format control, allow instead that the settings fixed in the Cell Format window for a cell will be automatically applied also to a second cell.

If you want to invert the objects order, you can drag an already inserted object onto a cell already occupied.

Once an object has been inserted into the page, you can double click on it to change the object properties (Text object, Image object, Table object, Flash Animation object, Video/Sound object, SlideShow object, Images Browser object, HTML Code object, E-mail Form object). You can also click on this tool button [image] to access the object properties. After creating an object, when you return to this window, the selection on the cell of the layout grid you have been working on is maintained. For more clearness, the background of the layout table cells changes to a different color after having created the contained objects

 You do not necessarily have to populate every cell on a page. If you do not insert an object into a cell it will appear as empty space.

After having inserted the objects forming the page and defined thei contents, you can continue using the following buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the next window.


Text Object

This window provides a text editor enabling you to insert and edit text as well as setting colors and fonts.

The text editor appears as in the following image:

Editor di testo

You have the following options:
Taglia | Cut [CTRL+X] Cut the selected text to paste it in a different area.
Copia | Copy [CTRL+C] Copy the selected text to paste it in a different area.
Incolla | Paste [CTRL+V] Paste text from the clipboard by clicking Cut or Copy.

 Using the Cut, Copy and Paste controls you can easily import text from any other application. In the Copy and Paste operations the HTML formats are kept.

Annulla | Undo [CTRL+Z] Undo the last operation.
 | Redo [ALT+MAIUSC+BACKSPACE] It allows to restore the last cancelled operation.
Inserisci collegamento | Insert link [CTRL+L] It allows to set an hypertext link on the selected word/s. You can define the link settings in the Insert Link window.
Inserisci immagine | Insert Image You can insert an image (in JPG, GIF, PNG, BMP, DIB, RLE, WMF format). The images inserted in the Text object are automatically sized if larger than the cell of the layout grid. Furthermore, the images inserted can be freely sized by using specific selection buttons: for special layouts it's better, however, to use the Image Object.
Inserisci formula | Insert OLE object You can insert an object created with an external tool supporting the OLE 2.0 technology (Object Linking and Embedding) into the text: Excel tables, Word documents, Microsoft Graph graphics, etc. When inserted, the OLE object can be modified with the application used to create it, double clicking on the object itself.
Inserisci oggetto OLE | Insert formula It allows to open Equation Editor to create every type of mathematical formula: the formula is then imported as OLE object into the text.

 After site exportation, the OLE object is managed as image .PNG to keep any transparencies: it is better, however, not to insert other objects of big size.

The Insert formula control can be used only if Equation Editor, a Microsoft Word utility, has been installed.

Inserimento codice HTML | Enable HTML Code Insert HTML code directly into your web page. Usually the characters < and> are interpreted as "less than" and "greater than". In HTML they are interpreted as a HTML TAG.
Impostazioni RollOver | RollOver Settings It allows to set RollOver on the text: in this way the text is not static anymore but sliding. You can define RollOver settings using the RollOver Settings window.
 | Zoom It allows to enlarge or reduce the view of the document.
 | Font Selection To select the type of character (font) to use.

 The font selection menu lists all the fonts installed on your machine. If the used font is not installed also on the computer of the website visitor, it will be automatically replaced with a system font similar to the starting one.

Dimensione del font | Font Size Allows you to select the font size.
Grassetto | Bold [CTRL+B] Bolds the selected text.
Corsivo | Italic [CTRL+I] Allows you to Italicise your text.
Sottolineato | Underline [CTRL+U] Underline the selected text.
Colore del testo | Text Color Change the color of the selected text through the Color window.
 | Text background color It allows to set the color of the selected text background color by using the retrieved Color window.
 | Bulleted list It allows to create a bulleted list.
Allineamento a sinistra | Align left Align the selected text to the left.
Allineamento centrato | Align center Align the select text to the centre.
Allineamento a destra | Align right Align the selected text to the right.
Allineamento giustificato | Justify Set selected text to justified.

When all settings have been made proceed by pressing one of the following buttons:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


RollOver Settings

This window allows you to define the settings for Rollover effects.

All of the settings are shown in the Preview frame of the window..

It is possible to do the followings:
- | Enable: Enables the Rollover effect on text and allows you to define the Height of the text.
- | Type: you can define the text rollover type.
- | Direction: You can define the rollover direction.
- | Options: You can set the Speed and select to stop the effect on mouse over.

Impostazioni RollOver

The Height option is available only if the RollOver is set on vertical. If, instead, the RollOver is set on horizontal, the effect is better if the Text object occupies the entire row.

After defining the RollOver settings, you can select from the following options:
- | Ok: Return to the Text Object window whilst saving the changes you have made
- | Cancel: Return to the Text Object window without saving the changes you have made.


Image Object

This window allows you to select the graphic file used to create the Image Object.

To select your image file, click on this button [image] to browse through the available disks. You can use files saved in the following formats: JPG, GIF, PNG, PSD, BMP, TIF, DIB, PCX, RLE, TGA, WMF.

The preview of the imported image is viewed in the Preview section. Click on Edit under the preview to retrieve the internal Image editor to modify the imported image.

You can define for the inserted image:
- | Alternative text: it allows to insert the text that is presented instead of the image when the image cannot be viewed.
- | Link: create a link to another web page or file. It is possible to define the settings of the link through the retrieved Link window.

The following items are presented in the section Save options:

-

JPG Quality : it allows to specify the quality level to apply in the conversion of the image to JPG. All the imported images are automatically converted to JPG format: the bigger is the compression factor, the lower will be the quality.

-

Resample method: it allows to specify the reduction method to apply when saving the JPG file. It is possible to choose from the following methods:
- | Bilinear: it's the fastest reduction method but the quality of the image is lower than the other methods available.
- | Decimate: it's the method that allows to obtain intermediate performances as regards speed and quality in relation to the other methods available.
- | Bicubic: it's the slowest reduction method but it is able to assure a high image quality.

It is better to insert the graphic files in GIF or JPG format. All the inserted images, if in a format different from JPG, GIF and PNG, are automatically converted to JPG format, according to the specified compression factor. The conversion to JPG is carried out also if the image is bigger than the cell of the layout grid containing it and if it is modified through the graphic editor.
If none of the above points occurs, the image is copied as is. This is necessary to keep the transparency effect applied to GIF.

The Internet Explorer Image Toolbar is automatically disabled for the inserted images: this Toolbar generally presents the Save image, Print image, Send image via e-mail and Open images folder controls.

When all settings have been made proceed by pressing one of the following buttons:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


Table Object

This window allows you to a create table in your web page.

When you insert a table it will be created with two rows and three columns by default. There is an area of shading in the background (to the right hand side) - this represents the maximum size of your table; any content that falls within the shaded area will not be displayed.

You may change the width of the cells by positioning your mouse over one of the cell divider lines and clicking and dragging it to the required size.

 Columns that exceed the maximum permissible size will not be displayed when viewed in a Browser.

The following options are available to you:
Taglia | Cut [CTRL+X] Cut the selected text to paste it in a different area.
Copia | Copy [CTRL+C] Copy the selected text to paste it in a different area.
Incolla | Paste [CTRL+V] Paste text from the clipboard by clicking Cut or Copy.
Annulla | Undo [CTRL+Z] Undo the last operation.
Aggiungi riga | Add a new row Insert a row after the row where the mouse cursor is positioned.
Aggiungi colonna | Add a new column Insert a column after the column where the mouse cursor is positioned.
Rimuovi riga | Delete current row Delete the row in which the mouse cursor is positioned.
Rimuovi colonna | Delete current column Delete the column in which the mouse cursor is positioned.
Margine celle | Cell margin The margin defines the space between the edges of the cell and its content. Adjust this to give the desired spacing.
Spessore bordo | Border width Set the width of the cell dividing lines.
Colore bordo | Border Color Set the color of the cell borders.
Scelta del font | Font Selection To select the type of character (font) to use.
Dimensione del font | Font Size Allows you to select the font size.
Grassetto | Bold [CTRL+B] Bolds the selected text.
Corsivo | Italic [CTRL+I] Allows you to Italicise your text.
Colore del testo | Text Color Change the color of the selected text through the Color window.
Colore sfondo della cella | Cell background color Set the cell background color where the mouse cursor is positioned through the Color window.
Inserisci collegamento | Insert link [CTRL+L] It allows to set an hypertext link on the selected word/s. You can define the link settings in the Insert Link window.
Unisci celle in orizzontale | Horizontal Merge cells Allows you to join two adjacent cells horizontally to form one cell.
Unisci celle in verticale | Vertical Merge cells Allows you to join two adjacent cells vertically to form one cell.
Dividi celle in orizzontale | Horizontal split cells Allows you to split one row into two rows.
Dividi celle in verticale | Vertical split cells Allows you to split one column into two columns.
Allineamento a sinistra | Align Left Align the selected text to the left.
Allineamento centrato | Align Center Align the select text to the centre.
Allineamento a destra | Align Right Align the selected text to the right.
Allineamento in alto | Align Top Align text to the top of the cell.
Allineamento nel centro | Align Middle Align text to the middle of the cell.
Allineamento in basso | Align Bottom Align text to the bottom of the cell.

 If a table contains no text it is considered empty and will not be displayed.

After generating your table please proceed by clicking on one of the following buttons:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


Flash Animation Object

This window allows you to select which file to use for a Flash Animation object.

To select the file, please click on the button [image] to browse of the available resources and find a SWF file.

To preview the Flash file, enable the Preview option.

 In order to view Flash files you must have Macromedia Flash Player installed on your computer.

The following options are available for the inserted animation:
- | Alternative text: it allows to insert the text that is presented instead of the Flash animation when this cannot be viewed.
- | Player Flash Version : it allows to specify which Player Flash version to use to view the inserted animation (only for Internet Explorer).
- | Transparent background: if enabled, it allows to make the background of the inserted animation transparent.

For further control of your flash animation please define:

-

Size: Allows you to specify the Width and the Height of the animation. The maximum width that animation can assume is indicated, according to the available space for the object in the layout page.

A JavaScript code is automatically inserted for the Flash animation so that, during the navigation with Internet Explorer, the activation of the control is not requested.

When complete, proceed by clicking on one of these buttons:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


Video/Sound Object

This window allows you to select which file to use when adding a Video/Sound object.

In order to select the files, just click on button [image] to browse the available resources and find the file in AVI, WMV, MPG, MOV, QT, RM, WAV, MP3, WMA, MID, AIF, AU, RA format.

The imported video can be previewed in the Preview window.

 To display the files in RM and RA format is used the RealVideo Player reader. To display the files in QuickTime (MOV and QT) format is used the QuickTime Player reader. If the readers ares not available, the program suggests installing them.
For all other video formats, instead, Microsoft Windows Media Player is used.

You have the following options:
- | Alternative text: it allows to insert the text that is viewed instead of the video or audio when this cannot be viewed.
- | Show control bar: Defines whether or not to display the Media Centre controls.
- | Size: It allows to specify the Width and the Height of the video or only the Width of the Control bar for the sound.

 To set a soundtrack in a site page you have to insert a Video/Sound object in a row of the layout table in which there isn't any other object, select the sound file and disable the option Show control bar.

After inserting the sound or video object, please click on one of the following buttons to proceed:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


SlideShow Object

This windows allows you to create a slide show of images. A SlideShow is a presentation formed by a sequence of images and equipped with a navigation push-button bar.

The controls necessary to create a SlideShow are presented in two sections:

List Section:
In this section you can compose the list of images used in the Slide Show.

All the graphic files already imported are showed in the Images List: selecting a file among the ones inserted in that list the preview is shown in the proper window.

The controls available to compose the lo Slide Show are:
- | Add: to add images files.
- | Remove: to remove the selected image from the list.
- | Move up: changes the order of the Slide show images. Click this button to move the selected image up in the list.
- | Move down: changes the order of the Slide show images. Click this button to move the selected image down in the list.
- | Edit: it allows to retrieve the internal Image editor to modify the image selected in the Image list.

For each inserted image it is possible to define certain settings, collected in the section Image options:

-

Effect: click on [image] to retrieve the Page Transition window to set the transition effect for the image of the Slide Show chosen among those in the List of images. You can define the Delay (in seconds) for each transition and display a preview in the proper frame.

 Image Transitions will only work on Internet Explorer 5 or later.

-

Link: clicking on the button [image] you open the window Link where you can set the link to the selected Slide Show image.

-

Description: the text inserted in this field is showed at the foot, as description of the selected Slide Show image.

Settings Section:
With the controls of this section you can define the settings pertinent to the graphic aspect of the Slide Show and to the images view included in it.

-

Frame: it allows you to define the aspect of the frame where insert the images, setting the size of the Border width, the Border color, the Background color, the Text color and the Font besides the size in pixel of the Max width and of the Max height that can be assumed. If in function of the page structure, the frame can't have the set width, the sizes are automatically recalculated to keep the ratio factor between base and height.

Setting the value of the border thickness to 0 and the color of the border equal to the one of the background page, you can completely delete the images frame.

-

View: it allows you to define some parameters pertinent to the Slide Show view. You can set the Buttons style to use to control the reproduction of the Slide Show. You can also present the Slide Show in fullscreen, enabling the option Enable fullscreen view, and automatically start it without the buttons help, enabling the option Hide buttons and start automatically.

The images inserted in the Slide Show are automatically sized to view them correctly.

In the fullscreen view, on the Slide Show images the links eventually set are not kept.

Whilst the images list of the presentation can be freely selected, the push-button bar for the navigation is automatically created and includes:

Full screen: available if the Enable fullscreen option has been started. It allows you to view the Slide Show in Full Screen mode.

Close: available if the Enable fullscreen option has been started. It exits the Full Screen mode.

Back: It displays the previous image.

Next: It displays the next image.

Play: This will play the slide show bases on the Delay timings that you have set.

The Slide Show can be started also with a proper link inserted into the pages: for further information see Insert Links.

After creating your Slide Show, proceed by clicking one of the following buttons:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


Images Browser Object

This window allows the effective creation of the object Images Browser. The Images Browser presents a set of miniatures where click to view the same enlarged image.

The controls necessary to create an Images Browser are presented in two sections:

List Section:
You can compose the images list to use in the Images Browser.

Oggetto Browser Immagini - Sezione Elenco

All the graphic files already imported are showed in the Image list: selecting a file of this list you can see its preview in the proper window.

The controls available to compose the Images Browser are:
- | Add: To add images files.
- | Remove: To remove the selected file from the list.
- | Move up: Move the selected image up in the list.
- | Move down: Move the selected image down in the list.
- | Edit: it allows to retrieve the internal Image editor to modify the image selected in the Image list.

For each inserted image it is possible to define certain settings, collected in the section Image options:
- | Alternative text: It allows to insert the text that is presented alternatively to the image when it can't be viewed.
- | Link: clicking on the button [image] you open the Link window allowing the definition of the link of the selected image. This link replaces the enlarged image one also if the option Create a link to the enlarged image is enabled.
- | Description of enlarged image: it allows to insert the description text for the selected image. The description text is showed at the foot of the window showing the enlarged image.

Settings Section:
Using the controls of this section you can define the settings pertinent to the graphic aspect of the Images Browser you want to create.

Oggetto Browser Immagini - Sezione Impostazioni

-

Options: you can define il Type of images Browser you want to create and the number of Thumbnail per row.

The minimum width of a thumbnail is 48 pixels. If you insert a value for the option Thumbnails per row that causes an excessive decreasing of the miniatures, this parameter is automatically updated.
As regards the types of Browser available, it is possible to choose from:
- | Classic Only the thumbnails of the images are viewed: clicking on a thumbnail you can view an enlarged image. The enlarged image can be viewed in the same window of the Browser, brought to the front making the original page darker, or through a specific Pop Up window.
- | Lower horizontal presentation The thumbnails are viewed as if they were photograms of a film that can be viewed through specific buttons. This "film" is horizontal, right under the enlarged image obtained by clicking on one of the thumbnails.
- | Upper horizontal presentation Same as above Browser. The thumbnails are horizontal, but right above the enlarged image obtained by clicking on one of the thumbnails.
- | Left vertical presentation Also in this case the thumbnails make a sort of "film" that, unlike the two previous browsers, is vertical and on the left of the enlarged image obtained by clicking on one of the thumbnails.
- | Right vertical presentation Same as above Browser. The thumbnails are vertical, but on the right of the enlarged image obtained by clicking on one of the thumbnails.

According to the type of Browser selected, the user has different Settings to work on.

For the Classic Browser, the available Settings are:
- | Create a link with enlarged image: by enabling this option the link with the relating enlarged images is automatically set on different thumbnails of the Browser.
- | Maximum width: it allows to define the maximum dimension in pixel of the width that the enlarged image can have.
- | Maximum height: it allows to define the maximum dimension in pixel of the height that the enlarged image can have.
- | Create a external Pop Up: by enabling this option, the enlarged image is displayed inside a specific Pop Up window. Alternatively, the enlarged image is viewed inside the same window of the Browser and brought to the front thus making the original image darker.
- | Background color: it allows to define (through the Color window retrieved) the background color of the Pop Up window.
- | Text color: it allows to define (through the Color window retrieved) the color of the text in the Pop Up window. The text inserted as Description of enlarged image in the Image options of the List section are retrieved in the Pop Up window.
- | Font: it allows to define, through the retrieved window, the type of font to use in the text in the Pop Up window.

For the Lower horizontal presentation, Upper horizontal presentation, Left vertical presentation and Right vertical presentation Browsers, the following Settings are available:

-

Aspect ratio: it allows to specify what proportion ratio must be kept between the base and height for the re-sizing that is automatically performed on the images in the Browser. It is possible to choose between three 3 types of proportion: Square (1:1); Rectangular horizontal (4:3); Rectangular vertical (3:4).

The choice of the proportion ratio to keep should be done according to the images inserted in the Browser: if, for example, there are more rectangular images with the base larger than the height the best ratio would be 4:3.

-

Effect: click on [image] to retrieve the Page Transition window to set the transition effect for the image of the Images Browser chosen among those in the List of images. You can define the Delay (in seconds) for each transition and display a preview in the proper frame.

 Image Transitions will only work on Internet Explorer 5 or later.

-

Speed: it allows to define the speed with which the list of thumbnails moves.

-

Text color: it allows to define (through the Color window retrieved) the color of the text in the Pop Up window.

-

Font: it allows to define, through the retrieved window, the type of font to use for the text in the Pop Up window.

WebSite X5 creates the thumbnail image automatically. It will save the image as a compressed PNG.

Thumbnail Section:
Use the controls in this section to define the settings of the graphic appearance of the thumbnails in the Images Browser.

Through the options in the Thumbnail styles section it is possible to apply a frame to the smaller image automatically produced by the program to obtain the list of thumbnails:

-

Default image: it allows to choose the frame to apply to the thumbnails by directly selecting it among those offered.

-

Custom image: it allows to retrieve the graphic style (in format JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA, WPG) matching the frame you want to use.

To create a new frame just prepare the image and save it in a specific file: the image of the frame should be square and, if it is necessary to keep an external transparency, save it in PNG format.
It is also possible to use the following Options for the thumbnails:

-

Outer margin (%): it allows to define the margin that must be kept between the image of the thumbnail and the surrounding frame.

-

Enable color saturation: if enabled, it allows to specify, through the Color window retrieved, the color to use for the frame of the thumbnails. Basically, a "colorize" effect is applied to the image of the text in order to change it to the desired color.

The effect of the color variation can be also used on frames that are not black and white: in these cases, in fact, the "colorize" option does not change the color.

When completed you may proceed by clicking on one of these buttons:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


HTML Code Object

This window presents a text editor for the HTML code insertion and/or CSS.

HTML Section:
The text editor presents as in the following image:

As you can see, you have the following controls:

 Cut [CTRL+X]
Cut the selected text to paste it in a different area.

Copy [CTRL+C]
Copy the selected text to paste it in a different area.

Paste [CTRL+V]
Paste text from the clipboard by clicking Cut or Copy.

Undo [CTRL+Z]
Undo the last operation.

Insert Counter Code
You can insert the code pertinent to visitors counter. The Visitors Counter window is opened and you can select the type of counter to use: once selected, the necessary code is automatically inserted.

Internet Objects
You can access a set of Internet sites offering the possibility to copy and use freely, sometimes after a registration, the necessary codes to display information into proper boxes (tickers).

Page properties
It allows to retrieve the Page properties window through which it is possible to define a series of properties for the selected page.
This control is available also in the screen Map creation: it is indicated here because for the correct operation of the HTML code entered, it may be necessary to foresee also a part of code in the file HEAD or modify the extension of the file itself.

Linked files connected to the HTML code
It allows to create, through a specific window, the list of files connected to the HTML code. These files are automatically copied in the sub-folder /files and published on line.

 In the HTML code, the files must be linked according to the indicated path. For example if you want to link the image "test.jpg" the tag must be written as follows: <img rsc="files/test.jpg" />

Besides the editor for code implementation, you can set the value in pixels of the HTML object height while the value of the HTML object width is automatically defined according to the available space in the layout table.

If the HTML object entered is higher than the one set through the specific option Height of HTML object, the scroll bar is automatically inserted.

The program carries out automatically a test on the inserted code to verify that the number of characters < coincides with the one of characters >. The characters <> contain, in fact, the TAG.

CSS Section:
Through the editor present in this section it is possible to create a style sheet (CSS) for the HTML object created. The scope of the CSS is to define the appearance of the HTML or XHTML pages.

Once implemented the HTML code, you can proceed using the following buttons:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


FrontPage counter

This window allows you to set a visitors counter. The inserted code for the counter works only if your web server supports the FrontPage™ extensions.

In Style section, you can select one of five available counter styles.

In Settings section, you can set Number of digits to display (from 1 to 10) in the counter and the Local path of fpCount.exe file. These files are normally found in the _ vti_bin / directory by default but you can change the directory.

We recommend that you check with your ISP whether they support FrontPage™ extensions or not and use the correct directory for fpCount.exe.

Please note that counter will not be visible and it will not work during the local previews. It will only work when uploaded to a Web Server.

After setting up the counter, you can click on:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


Internet Objects

In Internet you can find, among the many free resources available, also the codes to insert tickers in the web pages.

The tickers are box, adjustable in graphic and size, that present information of various kind: news, sport, gossip, meteo forecast, stock exchange, horoscope, etc.

The tickers use offers some advantages:
- | It allows to increase the contents of the website and make it, consequently, more interesting for final users;
- | It allows to present information constantly updated thanks to the editor service offered by the portal.

The tickers are easy to use: you have to copy the HTML code present on the portal containing it and past it into the code of your webpage. WebSite X5 makes even easier this operation: it suggests some sites where to find the code and allows to directly insert it into the HTML Code Object.

For further information on single suggested services, reference to what presented on source portals.


E-mail form Object

This window propose the necessary tools and options to create forms to pick up users data. The different options are presented in proper sections:

List Section:
With the controls of this section you can insert the fields included into the form.

All the already created fields are showed in the summary table that, for each of them, presents the Description, the Type and if the answer has been set as Mandatory or not.

The available controls for the form creation are:
- | Add: it allows to retrieve the Field properties window to add a new field in the module.
- | Remove: it allows to delete the selected field.
- | Move up: it allows to move the selected field before the previous field.
- | Move down: it allows to move the selected field after the following field.
- | Settings: it allows to open the window Field properties where to change the settings of the selected field.

The Field properties window retrieved by the Add or Settings control looks like the one below.

The Field properties window allows to define the type of field to add in the module:

-

Description: it allows the insertion of the field description. This text will be shown above or at the side of its reference field and is used to specify the requested information or to insert the text of the answer to ask.

-

Field type: it allows to specify the type field and, consequently, the presentation mode of the answer possibility. The field types available are:
- | Text: the text field is shown as a frame where the user can freely insert his answer.
- | Drop-down list: the available answers are presented in a drop-down list, the user can select only one.
- | List: the available answers are presented in a list, the user can select only one.
- | Multiple choice: the available answers are indicated in a bullet list, the user can select more than one of these.
- | Single choice: the available answers are presented one after the other as in a bullet list. The user can select only one of these.

-

Width: it allows to define the field width and can be set at 25%, 50%, 75% or 100% of the available space. The option is not available for the Multiple Choice and Single Choice fields.

-

Rows: it allows to define the field height, specifying the number of rows for the text (with a maximum of 30). The option is not available for the Drop-down list, Multiple Choice and Single Choice fields.

-

Set as mandatory field: this option sets the user answer as mandatory. The option is not available for the Multiple Choice fields.
According to the type of selected field, different options are presented.

The options available for the Text field are:

-

Maximum number of characters: by enabling this option it is possible to specify the maximum number of digital characters in the field. For example, 11 could be the maximum of characters for a field for the user's Tax Payer's Code.

-

Input text filter: it allows to set a control on the correctness of the data entered in the field. It is possible to choose from the following filters:
- | None: both characters and numbers are accepted.
- | E-mail address: the text entered in the field must be an email address (there must be @ character and a dot in the following text). The fields for which this filter is enabled are automatically proposed by the program to retrieve the user's e-mail address.
- | Numbers: only numbers are accepted.
- | Telephone/fax number: numbers, the "-" character and the space are accepted.
- | Date: numbers and the character "/" are accepted.

For the fields Drop-down list, List, Multiple Choice and Single Choice, in the frame Settings you can create the list of available answers with the following controls:
- | Add: it allows to insert the text pertinent to one of possible answers through the opened window.
- | Rename: it allows to edit the inserted text for the selected answer.
- | Remove: it allows to delete the selected answer.
- | Move Up: it allows to operate on the view order of the available answers, moving up the selected one.
- | Move Down: it allows to operate on the view order of the available answers, moving down the selected one.

 The buttons Send, to send the filled form, and Reset, to delete all the data inserted into the form, are automatically created by the program and positioned at the form end.

Settings Section:
With the controls of this section you can define the modes pertinent to e-mail sending of the data collected with the form.

The following options are presented in the Data sending frame:
- | Confirmation page after data sending: it allows to access the site map to set what page has to be automatically displayed once the form has been filled in and the data have been sent by e-mail.
- | Send data to this e-mail: it allows to specify the e-mail address where to send the data collected with the form.
- | E-mail object: it allows to specify the e-mail object with the data collected through the form.
- | E-mail message: it allows to insert the text that in the e-mail introduces the data collected with the form.

Enabling the option Insert agreement conditions (i.e.: Privacy), you can add a field at the form foot where the user agreement conditions are indicated and have to be accepted to can send the data. That field can be used, for example, to present the Privacy regulations pertinent to treatment of collected data.
After having enabled the option Insert agreement conditions you have to fill in the following fields:
- | Condition title: it allows to insert the text that has to be displayed as title of the field indicating the conditions.
- | Condition text: it allows to insert the text of the conditions that the user has to accept before sending the data.

 The buttons Agree and Don't agree are automatically created by the program and added below the field indicating the conditions text.

The following options are indicated in the Graphical Settings frame:
- | Labels on top: it allows to position the text label with the answer description above its reference field.
- | Labels on the left: it allows to position the text label with the answer description to the left of its reference field.
- | Font: it allows to specify, the font type, the Style and the Number of points for the texts in the opened window.
- | Text: it allows to specify the color that has to be used for the text.
- | Buttons text: it allows to specify the color to use for the buttons text.
- | Fields backg: it allows to specify the background color for the inserted fields.
- | Buttons backg: it allows to specify the background color for the inserted buttons.

Enabling the option Send a confirmation e-mail also to the user, you can make the user to receive a confirmation e-mail after having filled in the form and sent the data:
- | User e-mail field: it allows to specify from which form field take the user e-mail address for sending the confirmation e-mail.
- | E-mail object: it allows to specify the confirmation e-mail object.
- | E-mail message: it allows to specify the message of the confirmation e-mail.
- | Include the collected data: it allows to add at the end of the confirmation e-mail the data collected through the filled in form.

For the correct operation of the e-mail sending form the Server for the site publishing has to support the PHP programming language and the MAIL control must be enabled. Contact the web space provider for more information.

Once created the form, you can proceed using the following buttons:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


Editor grafico

Graphic Editor

WebSite X5, besides automatically optimizing the imported images also offers a versatile internal graphic editor for photo finishing operations.
The graphic editor can be enabled by using the Modify button available in the Image Object , Object Slide Show Images and Object Browser Images windows.

The graphic editor is organized in 5 sections (Crop, Filters and Effects, Masks, Border and Frame) and includes the following buttons:
- | Apply: it allows to close the graphic editor and return to the main window saving and applying all the modifications made to the image.
- | Cancel: it allows to close the graphic editor and return to the main window cancelling the modifications made to the image.
- | Save as: it allows to save a copy of the original image in PNG, JPG or PSD format. A dialog window will ask if the saved copy must be imported instead of the original.

Crop Section:
In this section you can cut out the image area you want to show, deleting the rest.

It is possible to draw the cropping area directly on the preview of the image and work on the anchors to modify it. The crop selection can be moved to put in first level the desired area: to do this you have to drag it with the mouse left button and drop it correctly.

You have not to confirm the crop: the external portion of the crop selection (darker than the original) will not be showed anyway.

The following frames are showed at the image side:
- | Crop: it shows the values in pixel of the Offset X and the Offset Y that identify the position of the upper left vertex of the crop selected area, besides the values Width and Height taken on from this. Besides being directly taken according to the drawn cutting area, the values of the indicated parameters can also be entered in the specific fields or set using the cursors.
- | Flip: it allows to flip the image in Horizontal or Vertical sense.
- | Rotation: it allows to rotate the image of 90°, 270° or according to a free angle. For free rotation, the positive values mean a clockwise rotation, wheras negative values mean a counter-clockwise rotation.

Filters Section:
In this section you can change the main color adjustments and set some graphic filters and effects on the imported image.

- | Filters: it shows the list of filters and effects that can be applied to the image. The list includes: Brightness/Contrast, RGB, HSL, Sharp/Blur, Black and white, Sepia, Mosaic, Stipple and Skew. To apply a filter or an effect just click on it to mark it with a tick.
- | Settings: it shows the settings it is possible to work on to define the filter and/or the selected effect.
The changes pertinent to the filters and effects are immediately applied and showed in the preview image.

Mask Section:
Use the controls of this section to apply a mask to the imported image.

- | Mask: it indicates the list of masks to apply to the image. Besides the masks offered, it is possible to apply a customized mask: just select the second preview of the list (Custom...) and import the specifically prepared graphic file.
- | Rotation: it allows to t rotate he mask applied to the image by 90°, 270° or 360° .

 A mask is just an image with 256 colors in greyscale: the mask is applied to the original image so that the parts covered with black are made invisible and the ones covered in white are kept visible.

+

=

Border Section:
In this section you can define and apply a border to the imported image.

To define the border you can use:
- | Border: you can select the border for the image among the different available styles.
- | Settings: it indicates the settings on which it is possible to work on to define the style of the selected border.

Frame Section:
Use the controls in this section to apply a frame to the imported image.

- | Mask: it shows the list of the frames that can be applied to the image. Besides the available frames, it is possible to apply a customized frame: just select the second preview from the list (Custom...) and import the specifically prepared graphic file.
- | Rotation: it allows to rotate the frame applied to the image by 90°, 270° or 360° .

 A frame must be prepared as graphic file in .GIF, .PNG or .PSD format for which transparency is enabled: the frame is overlapped onto the original image in order to enable the displaying of the parts matching the transparent areas.
Since the .GIF format manages just one transparency level, whereas .PNG and .PSD manage up to 256 we suggest saving the frames in one of these latter formats.

+

=


Cell Format

This window, opened with the button Aspetto cella into the Insert Objects window, suggests the options necessary to define the graphic format of the current cell of the layout table. The different options are presented in proper sections.

Graphics Section:
With the controls of this section you can define the graphic settings of the cell.

All changes made are showed in the Preview frame.

Using the options of the Background style you can define how to make the background of a cell:

-

Color: if enabled, it allows to color the background of the cell with a solid color.
In this case the options to work on are:

-

Color: it allows to specify the color of the cell background.

-

Gradient: if enabled, it allows to create a shaded background for the cell.
In this case the options to work on are:
- | Start color: it allows to specify the initial color of the shade.
- | End color: it allows to specify the final color of the shade.
- | Distribution (%): it allows to establish if the initial or final color must stand out in the shading. A 90% distribution, for example, means the initial color of the shading will cover 90% of the background, whereas the remaining 10% will be colored with the final color.
- | Direction: it allows to choose the type of shading that needs to be applied. It is possible to choose from: Horizontal, Vertical, Double horizontal and Double vertical.

-

Image: if enables, it allow to specify an image to use as cell background.
In this case the options to work on are:
- | Image: it allows to select the graphic file relating the image to enter. It is possible to use JPG, GIF, PNG file formats.
- | Fit to cell: by enabling this option the image used as background is automatically fit to the size of the cell.
- | Repeat: it allows to specify whether the image used as background must be repeated or not. The image can be repeated horizontally only, vertically only or both, in order to fill all the space available.
- | Alignment: it allows to specify how the image used as background has to be aligned in relation to the area occupied by the cell.

With the Option frame options you can define:
- | Border width: it allows to set the width of the cell border.
- | Border color: it allows to specify the color of the cell border.
- | Inner margin: it allows to set the value of the margin, that is of the space between the border of the cell and its content.

 The border color is used also as color for the image transparency. If in the Browser view the aspect of the cell results shelled, it is better change the border color selected. For further information see: Notes on the images transparency.

Text Section:
With the controls of this section you can insert and define the graphic for a title and for a cell explanation text.

All changes made are showed in the Preview frame.

Using the options of the Title frame you can define:
- | Content: it allows to specify the text showed as cell title.
- | Back color: it allows to specify the background color of the cell title.
- | Text color: it allows to specify the color of the cell title.
- | Font: it allows to specify the font type, the style and dimension in text points.
- | Alignment: it allows to specify the title alignment as regards the cell.

Enabling the option Title as image you can change the cell title into an image with three-dimensional settings.
- | Shape: it allows to specify the shape selecting among the available ones.
- | Aspect: it allows to specify the aspect selecting among the available ones.
- | Border style: it allows to specify the border style selecting among the available ones.
- | Light: it allows to specify the direction of the light effect.

Using the options of the Description frame you can define:
- | Content: it allows to insert the explanation text.
- | Text color: it allows to specify the text color for the explanation.
- | Font: it allows to specify the font type, the style and the dimensions in points for the explanation.
- | Alignment: it allows to specify the text alignment for the explanation.

Once defined the cell format, you can proceed using the following buttons:
- | Ok: Return to the Object Insertion window whilst saving the changes you have made
- | Cancel: Return to the Object Insertion window without saving the changes you have made.


Links

This window allows you to define the type of internet hyperlinks to be inserted on selected words or images.

Action Section:
When creating an hypertext link you can select among the following different actions:

 WebSite page
Allows you to set up a link to another page on your WebSite. You can set if view the linked page on the same window or in a new window of the Browser.

File or another page
You can set up a link to a file or web page that is stored on your computer. You can specify if the linked resource has to be displayed on the same window, in a new window of the Browser or in a PopUp window. In this last case, you can set the sizes of the PopUp window and set if view or not the vertical scrollbar.

File or another web page
Allows you to create an hyperlink to any file or web page that is already published on the internet. In order to specify the page or file to link you need to know its URL (internet address). This will normally begin with http://www. It is possible to set if the linked page opens in the same window or in a new one.

Popup image
It allows to set a link through which it is possible to display an image. Besides the graphic file to link (in JPG, GIF, PNG, PSD, BMP, TIF, DIB, PCX, RLE, TGA, WMF format) it is possible to specify the sizes (Width and Height) in addition to a Description that will be used as caption.
By enabling this link, the retrieved image will be displayed in the front on the background of the original page, automatically rendered darker.

E-mail
You can set a link to open the default e-mail program to send an e-mail. To set this link type you have to insert the recipient e-mail address.

Internet Call
It allows to set a link through which it is possible to open the program associated to internet phone calls (for example, Skype) to speak with the defined user. The user to call must be specified through the relevant field.

Print
You can set a link to start the print of the displayed page.

Message box
This will cause a warning message to be displayed on the visitors computer when the link is clicked on.

Slide Show
Use this option to display a slide show when the link is clicked. To make this link work correctly, you have to create previously a page containing the Slide Show and have started the option Enable fullscreen, among the Settings of this object.

Add to favorites
This option will cause your web page to be added to the visitors Favorites when the link is clicked on.

Default Page
It allows to select a link to set the specified site as default page for the Browser Internet opening.

Feed RSS
It allows to display the Feed RSS of the site: the connection is active only if a Feed RSS was really created through the appropriate window of the Advanced settings.

 When the operation of the site created locally is tested, a window warns the user that the Feed RSS shall be displayed only after the site is published online.

Site map
It allows to set a link through which the complete map of the site can be displayed on a specific page. The items of the site map, created automatically, are active links towards the single pages: the map represents a useful orientation and navigation tool made available to the user. The items of the map can be displayed through the controls "Expand all" and "Contract all".

 Even if the Site Map link is not used, the site map is created and linked to the HTML code of the pages through the Meta-Tag "SiteMap", to achieve a better indexing of the contents on behalf of the Search Engines.
The link to the Site Map is automatically inserted as last item of the menu displayed at the bottom of the page (it can be enabled thanks to the option Display the first level menu items on the bottom of the page in Menu selection).

Product order
It allows to set a link to use to access the e-commerce cart or directly insert the product specified among those to purchase. To make this link operate correctly, it is necessary to have previously created the e-commerce cart through the controls of the Product Cart section of the Advanced Settings.

Description Section:
Through the controls of this section it is possible to define some options as the description of the link.

The description of the link is used as value of the attribute <TITLE> of element <A> in the XHTML code and displayed in a frame (tooltip) which appears by the mouse pointer when it is positioned by the link itself.

The available controls are:
- | Text: it allows to specify the description of the link.
- | Image: it allows to specify an image that will be displayed in the tooltip together with or instead of the description of the link.
- | Tip width: it is enabled when an image is inserted in the tooltip, it allows to specify the width of the tooltip itself. If a textual description of the link is specified, the width in the frame is set automatically according to the text.
- | Text size: it allows to specify the size (from 1 to 7) of the text of the tooltip.
- | Text color: it allows to specify, through the Color window retrieved, the color of the text of the tooltip.
- | Background color: it allows to specify, through the Color window retrieved, the color of the tooltip background.
- | Border color: it allows to specify, through the Color window retrieved, the color of the tooltip border.
- | Fade effect: by enabling this option a fade effect is applied in the displaying of the tooltip.

After defining the hyperlink options you can proceed by clicking on one of the following buttons:
- | Ok: return to the window relating the creation of the object on which the link must be inserted, whilst saving the defined settings.
- | Cancel: return to the window relating the creation of the object on which the link must be inserted, without saving the defined settings..


Color Window

Each time you can define the color of an element, the option Color is presented at side with a button of the default color or of the color set in the last use.

Clicking on the button at side of the Color option, you open a menu presenting a palette of 48 colors: to select the desired one you have to click on it.

Besides the main palette, the window presents also the following elements:
- | Hidden: this control, proposed only when possible, allows to make invisible instead of colored the desired element.
- | Last colors: the row below the main palette proposes the last 8 colors used.
- | More colors...: this control allows to open a further window where you can define the customized colors.
- | Dropper: this tool allows to take the color of any displayed element, even if external to the WebSite X5 window. Once selected the dropper tool, the mouse pointer changes: clicking on any video object, its color is 'captured' to use it also for the desired element.


Advanced Settings

This window presents the controls to define some advanced settings pertinent to the graphic style of menus, texts and scrollbars, the intro page setting with the possible language selection, the creation of a reserved area protected by a password, the creation of a e-commerce cart and of a Feed RSS.

First Level Menu
Clicking on this button you open the window First Level Items Style allowing the definition of the graphic aspect of the first level menu items, that is always displayed on the top or lateral side of the site.

Drop-down Menu
Clicking on this button you open the window Drop-down Menu Style allowing the definition of the graphic aspect of the drop-down menu items, what is displayed on mouseover of first level item.

Sub-menu
Clicking on this button you open the window Style sub-menu allowing the definition of the graphic aspect of the vertical sub-menu that is displayed if is enabled the option Add sub-menu in the window Menu selection.

Text Style
Clicking on this button tou open the Text Style allowing the definition of the styles to apply to the page texts.

Scrollbar style
Clicking on this button you open the window Scrollbar Style allowing the definition of the graphic aspect of the scrollbars.

Intro Page
Clicking on this button you open the window Intro Page to set an intro page for the site, adding a soundtrack and the links for the language selection.

Reserved Area
Clicking on this button you open the window Reserved Area to set a reserved area that allows the access to pages defined as locked in the creation of the site map only when inserting a password.

E-commerce cart
In this section it is possible to create an e-commerce cart, defining the list of products, the shipment and payment methods (including credit card payments), the form for the shipment of the order.
Click on this button to access the e-commerce cart window.

Feed RSS
In this section it is possible to create and manage a Feed RSS, useful as an information channel, constantly updated.
Click on this button to access the Feed RSS window.

For further information on map creation and on distinction between first and second level items, drop-down menus and sub-menus, see what explained in Map Creation.


First Level Items Style

This window presents the controls to define some advanced settings pertinent to graphic style of buttons that show the first level menu items.

The controls necessary to proceed to the buttons customization are presented in four sections:

General Section:
With the options presented in this section you can proceed to the definition of some general settings.

All changes made are showed in the frame Preview.

The available controls are:
- | Create button as image: it allows the creation of buttons as images where three-dimensional properties can be defined. When the button is saved as image, you can use every font type for the inserted writings.
- | Border width: it allows to specify the border width of the button. This option is enabled only if the option Create button as image is not enabled.
- | Border color: it allows to specify the border color of the buttons.
- | Outer margin: it allows to set the outer margin, the space between a button and the other.
- | Inner margin: it allows to set the inner margin, the space between the text and the border of the button.
- | Enable vertical auto-scrolling: by enabling this option the navigation menu moves automatically along with the page content, so that it is always available and visible.

Text Section:
Using the proposed options in this section you can define the graphic settings pertinent to the buttons text.

All changes made are showed in the frame Preview.

The available controls are:
- | Font: it allows to define the font type, the style and the size in points for the text.
- | Alignment: it allows to define the text alignment as regards the button.
- | Font style: it allows to set a text style. The style is applied only if the option Create button as image has been enabled.
- | Use antialias to show the text: enabling this option an antialias effect is applied on the text, to make the borders less irregular. The antialiasing effect is applied only if the option Create button as image has been enabled.

Colors Section:
Using the options presented in this section you can define the colors for the different elements and states of the button.

All changes made are showed in the frame Preview.

The available controls are:
- | Background color: it allows to define the color for the button background.
- | Background color on mouse over: it allows to define the color for the button background on mouse over.
- | Text color: it allows to define the color for the button text.
- | Text color on mouse over: it allows to define the text color for the button on mouse over.
- | Outer color for transparency: it allows to define the color that has to be considered transparent. This option is enabled only if the option Create button as image is also enabled. For further information see: Notes on the images transparency.

Graphics Section:
Using the controls presented in this section, enabled only if the option Create button as image has been selected, you can define shape and aspect of buttons.

All changes made are showed in the frame Preview.

The available controls are:
- | Shape: it allows to define the button shape, selecting it among the proposed ones.
- | Merge buttons shape: enabling this option the buttons are merged and the selected shape is applied to the buttons block considered as a whole.
- | Aspect: it allows to define the aspect of the button.
- | Border style: it allows to define the border style of the button.
- | Color border on mouse over: enabling on this option, available only if a style has been applied to the border, the border is colored on mouse over.
- | Light: it allows to define the direction of the light effect set on the button.
- | Image File: it allows to define the graphic file (in .GIF, .JPG, .PNG format ) relating the image to use as button background.
- | Corner factor: it allows to define the corner factor on button shapes with rounded angles or, different from the ones of a rectangle.
- | Gradient factor: it allows to define the gradient factor applied on the button.

Once defined the advanced settings for the buttons style, you can proceed using the following buttons:
- | Ok: Return to the Advanced Settings window whilst saving the changes you have made
- | Cancel: Return to the Advanced Settings window without saving the changes you have made.


Drop-down Menu Style

This window presents the controls that define some advanced settings pertinent to the graphic style of the drop down menus.

All changes made are showed in the frame Preview.

The available controls are:
- | Cells width: it allows to define the cells width of the buttons that form the drop down menus.
- | Border width: it allows to define the border width of the buttons that form the drop down menus.
- | Border color: it allows to specify the border color of the buttons that form the drop down menus.
- | Back color: it allows to specify the background color of buttons that form the drop down menus.
- | Back color on mouse over: it allows to specify the background color of the buttons present in the drop down menus, on mouse over.
- | Text color: it allows to specify the text color for the buttons present in the drop down menus.
- | Text color on mouse over: it allows to specify the text color for the buttons present in the drop down menus, on mouse over.
- | Font: it allows to specify the font type, the style and the size in points of the text.
- | Opacity: it allows to specify the transparency factor for the drop down menus view.

 The color selection is always made through the opened window Color.

Once defined the advanced settings for the drop down menus style, you can proceed using the following buttons:
- | Ok: Return to the Advanced Settings window whilst saving the changes you have made
- | Cancel: Return to the Advanced Settings window without saving the changes you have made.


Sub-menu Style

This windows presents the controls to define some advanced settings pertinent to the graphic style of the sub-menus.

All changes made are showed in the frame Preview.

The available controls are:
- | Line width: it allows to define the width of the line that separates the different sub-menu items.
- | Line color: it allows to specify the color of the line that separates the different sub-menu items.
- | Back color: it allows to specify the background color of the sub-menu buttons.
- | Back color on mouse over: it allows to specify the background color of the sub-menu buttons, when the mouse pointer passes over them.
- | Text color: it allows to specify the text color for the sub-menu buttons.
- | Text color on mouse over: it allows to specify the text color of the sub-menus, when the mouse pointer passes over them.
- | Font: it allows to specify the font type, the style and the size in text points.
- | Bullet: it allows to specify an image (in GIF, JPG, PNG format) that is showed, as a bullet, at the side of the different sub-menu items.

 The color selection is always made through the opened window Color.

In the sub-directory "Bullets" of the WebSite X5 installation directory, you find a set of images useful to create the bullet present at the side of the sub-menu items.

Once defined the advanced settings for the sub-menu style, you can proceed using the following buttons:
- | Ok: Return to the Advanced Settings window whilst saving the changes you have made
- | Cancel: Return to the Advanced Settings window without saving the changes you have made.


Text Style

This window presents the controls through which it is possible to define the styles that can be used during the formatting of the texts and links in the site.

A style can be generically defined as a group of formatting features that can be applied to the text to modify its appearance. The application of a style allows to apply more than one format at the same time with just one operation.

The different options are presented in specific sections:

General Section:
Use the commands of this section to define the styles that can be used for the texts in the site.

The texts for which a style is identified and applied are listed in the Text type menu and are:
- | Page title: it's the title of the various pages of the site. It is taken from the name given to the pages during the map construction phase in the Map creation window, or if otherwise specified, from the Extended page title of the Page properties window.
- | Page path: it's the text that appears right below the title of the page, through which the logic path is created (breadcrumb navigation) which leads to the page itself. The program automatically searches for the logic path.
- | Default page text: it's the text of each paragraph inserted through the Text object. The style of this element is applied by default when the editor related to the Text object appears: by using the controls in the editor it is possible to make further modifications and cutomizations. The style defined for this type of text is applied also for all the texts created and inserted automatically by the program: for example, it is used for the site map page.
- | Footer menu : it's the menu, indicated at the bottom of the page, where the first level items of the navigation menu are viewed. This menu is automatically created by the program by enabling the option Show the items of first level menu on the bottom of the page present in the Menu selection window.
- | Footer notes/E-mail: the notes viewed in the footer of the site. They are inserted through the fields Footer notes and E-mail addresses present in the General settings window.

It's possible to select the type of text you want to change by using the specific fall-down menu or by directly clicking in the Preview section.

After selecting the Text type, it's possible to modify the style by using one of the options in the Style section:
- | Visible: use this option to make the texts visible or invisible. This option is not available for the style of the default text of the page. Making an element of the site invisible does not mean eliminating the information related to the code of the pages. For example, you can make the page path invisible if you don't want to make this information available.
- | Background color: it allows to define the color for the text background.
- | Text color: it allows to define the color for the button text.
- | Font: it allows to define the font type, the style and the size in points for the text.
- | Alignment: it allows to specify the alignment of the text. This item is disabled for the default text style of the page and the footer notes/E-mail. In the first case, the alignment can be defined regardless of the style during the creation phase of the Text object; as regards, the footer notes/E-mail the alignments of the notes and of the e-mail address of the author cannot be modified.
- | Bottom line: it allows to specify the thickness in pixels and the color of a lower border that can be added for all the styles except for the default text style of the page.

Links style Section:
This window introduces the settings for the graphical style of the internet hyperlinks.

All changes made are showed in the frame Preview.

The available controls are:
- | Active link: Set the text color for an hyperlink.
- | Visited link: Set the text color of visited hyperlinks.
- | Mouse over link: Set the hyperlinks color on Mouse Over.
- | Background on mouse over: Set the background color of text on Mouse Over.
- | Underlined link: enabling this option, all texts pertinent to hyperlinks are underlined.
- | Pointer: it allows to specify the aspect of mouse pointer. Clicking on [image] you can select a file .CUR, .ICO e .ANI (animated icon) to specify the cursor aspect.

 The color selection is always made through the opened window Color.

In the sub-directory "Cursors" of the WebSite X5 installation directory, you find a set of images to customize the pointer aspect.

Once defined the advanced settings for the text and the hyperlinks style, you can proceed by clicking on one of the following buttons:
- | Ok: Return to the Advanced Settings window whilst saving the changes you have made
- | Cancel: Return to the Advanced Settings window without saving the changes you have made.


Scrollbar Style

This window presents the controls to define some advanced settings pertinent to the graphic style of the scrollbar.

All changes made are showed in the frame Preview.

The available controls are:
- | Enable customized settings: enabling this option, the scrollbars are showed with the aspect defined through the available settings. Not enabling this option, the scrollbars are showed according to the default settings.
- | Cursors surface: it allows to specify the color of the cursors surface on the top, the middle and the bottom of the bar.
- | Central cursor background: it allow to specify the color of the bar background where the central cursor moves over.
- | Top and bottom arrow: it allows to specify the color of arrows present in the top and bottom cursors of the bar.
- | Top internal border: it allows to specify the color of the top internal border of the bar.
- | Bottom internal border: it allows to specify the color of the bottom internal border of the bar.
- | Top external border: it allows to specify the color of the top external border of the bar.
- | Bottom external border: it allows to specify the color of the bottom external border of the bar.

 The color selection is always made through the opened window Color.

Once defined the advanced settings for the scrollbar, you can proceed using the following buttons:
- | Ok: Return to the Advanced Settings window whilst saving the changes you have made
- | Cancel: Return to the Advanced Settings window without saving the changes you have made.


Intro Page

This window presents the controls to set a site introduction page and to give the possibility to different languages consultation.

The available controls to set an Intro page are:

-

Show Intro page: enabling this option, you insert an introduction page to the site. If present, the Intro page (index.html) is the first showed and only after a fixed time or after a click on a proper hyperlink the Home Page opens (home.html).

-

Page background color: it allows to specify the background color of the introduction page.

-

Jump to Home Page after sec.: enabling this option, you can specify the number of seconds for the intro page view. After that fixed time, The Home Page opens automatically.

-

Image/animation file: it allows to specify what file use for the intro page. You can insert a static image or a Flash animation. If you insert an image into the intro page, you have to enable the option Jump to the Home Page after sec. to allow the user to navigate the site. If, instead, you insert a Flash animation into the intro page, where the passage to the Home Page has already been programmed, you can omit the enablement of the option Jump to the Home Page after sec.

-

Width: it allows to specify the width in pixel of the inserted image/animation.

-

Height: it allows to specify the height in pixel of the inserted animation.

If an image is inserted into the Intro page, you have not to set a height value: this parameter is automatically calculated according to the width assumed by the image itself.

-

Sound for page: it allows to specify the audio file (.WAV, .MP3, .WMA, .MID) to use as soundtrack during the intro page visualization.

-

Loop sound: it makes the inserted sound to be repeated in a loop until the intro page is showed.

The controls available to select the language are grouped in the Language frame:
- | Language 1 (current website): enabling this option, you set a link to the first language selection of the site.
- | Language 1 selection image: it allows to specify the image (for example of the flag corresponding to the language) to associate to the link for the first language selection.
- | Language 2: enabling this option, you set a link to the second language selection of the site.
- | Language 2 selection image: it allows to specify the image (for example of the flag corresponding to the language) to associate to the link for the second language selection.
- | Language 3: enabling this option, you set a link to the third language selection of the site.
- | Language 3 selection image: it allows to specify the image (for example of the flag corresponding to the language) to associate to the link for the third language selection.
- | Language 4: enabling this option, you set a link to the fourth language selection of the site.
- | Language 4 selection image: it allows to specify the image (for example of the flag corresponding to the language) to associate to the link for the fourth language selection.

 In the sub-directory "Flags" of the WebSite X5 installation directory, you have some proper images to create the buttons for the language selection.

Once defined the settings for the Intro page and the language selection, you can proceed using the following buttons:
- | Ok: Return to the Advanced Settings window whilst saving the changes you have made
- | Cancel: Return to the Advanced Settings window without saving the changes you have made.


Reserved Area

This window presents the controls to create one or more reserved areas including all the pages that during the Map Creation phase have been defined as Locked.

All the reserved areas already created are used in the reserved areas List.

The controls available to create and manage the reserved areas are:
- | Add: it enables the user to retrieve the Reserved area window to go on with the creation of a new reserved area.
- | Remove: it enables the user to remove the selected reserved area among those already created.
- | Edit: it enables the user to retrieve the Reserved area window to modify the settings of the selected area.

The Reserved area window retrieved using the Add or Edit control appears as follows.

- | Area name: it allows to specify a name to associate to the reserved area.
- | User login: in this field you can insert the Username that will be communicated to users to allow the access to locked pages.
- | User Password: in this field you can insert the Password that will be communicated to users to allow the access to the locked pages.
- | Heading text for login page: it allows to insert the introduction text shown in the page containing the fields of the Username and Password. If an e-mail address is inserted into the text, this is automatically recognized and activated by the program.
- | Login Registration Page: it allows the access to the site map to specify which page asks the user to effectuate the registration necessary for receiving Username and Password. If a page for the login registration is specified, the button Register is automatically added.

It is possible to work on the layout of the access page to the reserved areas using the controls presented in the Graphical settings section:
- | Font: it allows to specify the font type, the style and the number of points for the texts.
- | Text: it allows to specify the color for the text introduced in the fields of Username and Password request.
- | Buttons text: it allows to specify the color for the buttons text.
- | Field backg.: it allows to specify the color for the fields background where it is required to insert Username and Password.
- | Buttons backg.: it allows to specify the color for the buttons background.

The Admin access to all areas section displays the fields to define the access parameters reserved to the Administrator:
- | Admin login: in this field you can insert the Administrator login, it allows the access to the locked pages. The login set by default is "Admin".
- | Admin Password: in this field you can insert the Password that the Administrator can use to access to the locked pages. The Password set by default is "123".

 In the page of access request, below the fields that ask the user to insert Username and Password, the program inserts and automatically enables the buttons Login and, eventually, Register.

When you test the site working on the local machine, a warning window tells that the locked pages are shown without the access request. The reserved area is enabled only with the site publication on server.

For the correct working of the reserved area is necessary that the Server where the site is published support the programming language PHP.

Once defined the settings for the Intro page and the language selection, you can proceed using the following buttons::
- | Ok: Return to the Advanced Settings window whilst saving the changes you have made
- | Cancel: Return to the Advanced Settings window without saving the changes you have made.


E-commerce cart

This window offers the tools and the options needed to create and manage an e-commerce cart for the online sales of the products offered in the Web site. The various options are shown in the specific sections:

Product Sections:
Through the options offered in this section it is possible to add products to the cart, organized according to categories.

All the products already entered are displayed in the summary table that indicates more specifically the Category, the Number of products entered for the selected category and the Products list.

The controls available to create the list of products to manage through the online cart are:

-

Add: it allows to retrieve the window Enter products to enter a new category of products and the products belonging to the category.

-

Remove: it allows to remove the selected category of products and all the products entered in this category.

-

Edit: it allows to retrieve the window Enter products to modify the selected product category and/or the products contained in it.

-

Import: it allows to import the list of products to enter in the cart directly from an external file (format .TXT or .CSV from Microsoft Excel).

The text file with the list of products must always be formed in the following way:
- | every line must match a product;
- | the following information must be available for each product: the name of the category, the name of the product, the description of the product and the price of the product;
- | all the information must be indicated without spaces and separated by the character ";"
For example, an extract of a file could look like the one below:
...
Software;WebSite X5;Version Evolution;69.95
Software;WebSite X5; Version Compact;39.95
...

The window Enter products retrieved by the control Add or Edit looks like the one below.

- | Category name: it allows to enter the name of the new product category you wish to create or display the name of the selected product category and of which you want to change the composition.
- | Product list: it allows to display the list of products already entered in the product category.
- | Add: it allows to add a new product to the product category. Through the retrieved dialog window, it is possible to specify, for every product added, Name/Code, Description and Price. The information is displayed in the field Product category list.
- | Remove: it allows to eliminate the selected product in the product list.
- | Duplicate: it allows to duplicate the selected product in the product list.
- | Edit: it allows to modify, by retrieving the specific dialog window, the information entered for the selected product in the product list.
- | Move up: it allows to move the selected product before the previous product among those entered in the product list.
- | Move down: it allows to move the selected product after the following product among those entered in the product list.

Shipment Section:
Through the options proposed in this section it is possible to define the shipment and payment methods available for the e-commerce cart.

All the shipment and payment methods entered are displayed in the summary table which, for each one, indicates the Name, Description and Price.

The controls available to create the list of the shipment and payment methods active for the online cart are:
- | Add: it allows to retrieve the window Enter shipment and payment method to define the new shipment and payment method.
- | Remove: it allows to remove the selected shipment and payment method.
- | Duplicate: it allows to create a copy of the selected shipment and payment methods in order to quickly define all the methods to offer for the e-commerce cart.
- | Edit: it allows to retrieve the window Enter shipment and payment method to modify the selected shipment and payment method.
- | Move up: it allows to move the selected shipment and payment method before the previous method among those already entered in the list.
- | Move down: it allows to move the selected shipment and payment method after the following method among those already entered in the list.

The Enter payment and shipment method window retrieved by the control Add or Edit looks like the one below.

-

Name: it identifies the shipment and payment method with a clear and breif indication.

-

Description: if explains the shipment and payment method.

-

Price: it specifies the additional expenses relating the shipment and payment method.

-

E-mail answer message to customer: it allows to specify the e-mail message that is automatically sent to the user after the order.

 It is possible to specify a different message for every foreseen shipment and payment method: hence, it is possible to give specific indications for each method.
The message will be automatically completed with the order summary and order number which is assigned automatically.

-

Enable credit card payment: by enabling this option credit card payment is enabled.

Through the functions present in the Credit card payment window it is possible to enable also credit card payment:

-

Enable credit card payment: by enabling this option credit card payment is enabled.

-

PayPal payment: it is necessary to enable this option if you wish to use PayPal to manage credit card payments.
In this case it is necessary to specify:
- | Paypal Account: enter the account obtained as a registered PayPal user.
- | Confirmation Url: enter the Url, i.e. the address, of the page that has to be displayed to confirm the payment made.
- | Error Url: enter the Url, i.e. the address, of the page that has to be displayed in case of error during the payment procedure.

-

Other payment system: it is necessary to enable this option if you wish to use a system different from PayPal to manage credit card payments.
In this case it is necessary to specify:

-

HTML link code: enter the HTML code obtained from your Payment Service Provider needed to view the 'Pay Now' button. Please refer to your Payment Service Provider for further information.

The HTML code obtained from your Payment Service Provider is used to create the 'Pay Now' button. This code must be completed entering the Order Number and the total cost ordered by customer. In order to do that you have to enter these tags:
- | [ORDER_NO] - identifies the Order Number
- | [PRICE] - identifies the total cost to be payed

Data form Section:
Through the options offered in this section it is possible to define the composition of the module the user must fill out to order using the e-commerce cart.

The Customer data window offers a list of fields from which it is possible to choose the ones that have to be entered in the order module. To enter a field just click on it to display the tick sign on the side.

It is possible to work on the following options:
- | Description: it re-proposes the name of the field, i.e. the text that is displayed by the field itself to show the requested information to the user. This text can be modified freely.
- | Width: it allows to specify the width of the field and can be equal to 100%, 75%, 50% or 25% of the available space.
- | Set as mandatory field: by enabling this option it is possible to make the field mandatory.

The proposed list already foresees all the fields generally used in a registration form: besides customizing the already specified fields, there are 4 empty fields that can be used to request particular information.

The last field proposed in the list is the e-mail field: it is not possible to hide this field or make it non-mandatory since it is necessary to know the email of the user sending the order to make the cart work properly.

The License agreement window shows the controls needed to complete the form with the text of the conditions that have to be accepted by the user before sending the purchasing order:
- | Insert agreement conditions (i.e.: Privacy): enabling this option you can add a field at the form foot where the user agreement conditions are indicated and have to be accepted to can send the order. That field can be used, for example, to present the Privacy regulations pertinent to treatment of collected data.
- | Condition title: it allows to insert the text that has to be displayed as title of the field indicating the conditions.
- | Condition text: it allows to insert the text of the conditions that the user has to accept before sending of the order.

Finally the E-mail address for receiving the orders window shows the field in which to enter the e-mail address where the administrator of the site wants to receive the orders made by the users through the e-commerce cart.

General Section:
Through the options proposed in this section it is possible to define some graphic parameters, in addition to the currency and VAT parameters, for the e-commerce cart.

The Graphical settings window shows the commands needed to define the formatting of the texts in the module, beyond those present in the product presentation table:
- | Font: it allows to specify, the font type, the Style and the Number of points for the texts in the opened window.
- | Text color: it allows to specify the color that has to be used for the text.

The Product list graphic settings window shows the commands needed to define the layout of the tables through which the available products and/or the products entered in the cart are presented:
- | Cels text: it allows to define, through the retrieved Color window, the color for the cell text.
- | Head text: it allows to define, through the retrieved Color window, the color for the head text cell.
- | Cels background: it allows to define, through the retrieved Color window, the color for the cell background.
- | Head background: it allows to define, through the retrieved Color window, the color for the head cell background.
- | Border color: it allows to define, through the retrieved Color window, the color for the border of the table.
- | 'Add to cart' image: it allows to specify the image to use to create the button 'Add to cart', i.e. the button the user can use to add the product to purchase to the cart.
- | 'Remove from cart' image: it allows to specify the image to use to create the button 'Remove from cart', i.e. the button the user can use to remove the product that he/she does not want to buy from the cart.

 There is a series of images to create the buttons to add and remove the products from the cart in the subfolder "Cart" of the installation folder of WebSite X5.

The Currency settings window shows the controls needed to define paramters such as currency and VAT to apply in the cart:

-

Currency symbol: it allows to define the currency to use in the cart.

-

Show currency on the right: by enabling this option, the currency symbol is indicated on the right of the prices.

-

Display two digits after comma: by enabling this option, the prices are indicated with two figures after the comma.

-

Add VAT (%): it allows to specify the percentage of VAT to apply.

 It is possible to enter the prices of the products net of the VAT and use this field to specify the VAT to apply: in this case the VAT shall be applied only to the total of the amount of the order.
Alternatively, it is possible to enter the prices of the product with VAT included and leave the value 0 for the field Add VAT.

After creating the product cart it is possible to continue by using the following buttons:
- | Ok: return to the Advanced settings window whiilst saving the defined settings.
- | Cancel: return to the Advanced settings window without saving the defined settings.


RSS Feed

This window offers the tools and options needed to create a RSS Feed.

All the news already entered is displayed in the summary table that, specifically, indicates the News title and the Issue Date.

The controls available to create the list of news are:
- | Add: it allows to retrieve the window News settings to enter a new news.
- | Remove: it allows to remove the selected news among those present in the News list.
- | Edit: it allows to retrieve the News settings window to modify the selected news among those present in the News list.

The Setting for news window retrieved using the control Add or Edit looks like the image below.

- | News title: it allows to specify the title of the news.
- | Description: it allows to specify the description of the news.
- | Linked page: it allows to access the site map to define which page must be linked to the news.
- | Issue date: it displays the date and time of the creation of the news.

Besides creating the list of news, it is necessary to define the following parameters:
- | Feed RSS title: it allows to specify the Feed RSS title linked to the Web site.
- | Description: it allows to specify the description of the Feed RSS linked to the Web site.
- | Url: it allows to specify the URL of the Web site the Feed RSS is linked to.
- | RSS Feed image: it allows to specify the image to associate to the Feed RSS linked to the Feed RSS.

After creating the Feed RSS, it is possible to continue using the following buttons:
- | Ok: return to the Advanced settings window whilst saving the defined settings.
- | Cancel: return to the Advanced settings window without saving the defined settings.


Export

5. Export

In this phase is requested to specify the export mode for the created project. You can proceed to files publication on the server through an FTP session, or on a disc of your PC. In alternative, all the project files can be grouped in a single directory to can easily be transferred on another computer to continue the work.

The following windows are shown:

 Publish to Internet

Export on disk

Batch project files


Export on Internet

This window allows you to publish your WebSite to the Internet very easily.

In order to publish a website correctly on internet, it is necessary to create the proper files on your computer. To enable other people to see your WebSite on the Internet it is necessary to copy all files to your web server through a FTP program.

In order to copy all files on internet, it is necessary to specify:
- | FTP Address: Enter the FTP address as specified by your hosting company.
- | Username: Enter your Username as specified by your hosting company.
- | Password: Enter your Password as specified by your hosting company.

Moreover you can specify some optional settings not necessarily requested as:
- | Initial directory: in this field you have to insert the target folder assigned by the Provider for your space. If you don't insert a path, it will be always possible to select it in the following screen shown by WebSite X5.
- | Use passive FTP: for a higher connection compatibility with the server it is better using the passive FTP publication mode.
- | Save Password: To save your password, tick this box.

Finally, it is possible to specify the Upload mode, basically what you really want to publish:

-

Export all website files: in this case the entire site is published. This modality is indicated only during the first publication of the project or when several and substantial modifications have been made to the site.

-

Export only the files modified during last export on date...: in this case only the files that were really modified in relation to what was published with the export performed on the indicated date, are published. This modality is indicated for sites that are constantly updated and offers the advantage of requiring less time in relation to the complete publication of the site.

The publication date is saved inside the project file: hence after publishing the file it is important to always save the modifications.
Even if only the export of the modified files is requested, HTML pages and the resource files (present in the Res sub-folder) are re-published: in fact they were probably updates, too.

-

Export only RSS Feed: in this case only the XML files of the Feed RSS managed through the relating section of the Advanced Settings are published. This modality, active only if the Feed RSS was already published once, is suitable when no updates were made to the site but only new information was added to the Feed RSS itself.

Once carried out the connection to the server, the folders there already present are shown in a proper window. Using the available controls you have to move into the folder selected to publish the site.

 If you are not sure in which folder publish the site, you have to contact your Provider and ask for confirmation: not all the folders present on the Server are indicated for the publication.

The available controls are:

 Upper folder
It allows to move into the upper folder.

Create new folder
It allows to create a new folder.

Delete
It allows to delete the selected file or folder. The folders have to be empty to can be deleted.

Rename
It allows to change the name of the selected file or folder.

Update
It allows to reload the content of current folder.

During the export, WebSite X5 copies all the files contained in the registration folder on the server. If some files with the same name of the published ones are already present in this folder, these ones are overwritten.

After entering the required information, select one of these options:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the publishing of the WebSite.


Export on disk

This window allows to publish the created site on another disc of the computer.

The export on disc allows you to have a copy on PC of the files that will be published on Server, and to carry out modifications on the HTML pages created before the effective publication

To proceed to the export of all project files you have to specify:

-

Destination directory: in this field you have to specify the folder where export the created site. If the specified folder doesn't exist, is automatically created.

To create a backup copy of the project you have to use the function Batch: in this way you can dispose, in fact, of a copy of the original project files and not of the files created by the program for the publication.

Once inserted the required information, you can proceed using the following buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the publishing of the WebSite.


Batch project files

This window allows to batch all files linked to the project into a single folder to transfer them on another computer.

To proceed in the files batch you have to specify:

-

Destination directory: in this field you have to specify the folder where to export the project files. If the specified folder doesn't exist, it is automatically created.

Since WebSite X5 records the absolute path of the linked files, to correctly transfer the project on a different workstation, you have to define a path of the target folder that can be created equal also on the second PC. This means that on the first PC the work is grouped into the folder C:/MyWork where copy all the files. To re-create the same path on another computer, it is also important that the folder in which the project is saved is not on the desktop: the path of the folder in fact can change from one computer to another.

A copy of the project file is created in the target folder and also all the connected files are copied. The copy of the project file is automatically updated with the new path, to allow a correct view. The original of the project file stays unchanged.

The files linked to the project are organized in sub-folders according to the following criteria:
- | General Sub-folder: it contains the files defined in the general settings as icon of the site, the images/animations used in the customized model or the customization of the upper banner.
- | ObjImage, ObjVideo, ObjFlash, etc. sub-folders: they contain the files used to create single objects used in the different pages of the site.
- | Advanced Sub-folder: it contains the files defined in the advanced settings such as the cursor for the links, the images for the items of the sub-menu, the icons of the e-commerce cart, the flags for the language options, etc.
- | Links Sub-folder: it contains the files linked to the links present in any point of the site.
- | Aspect Sub-folder: it contains the files used to define the appearance of the cells of the layout grid.

 This function is useful to create a backup copy of the project.

Once inserted the necessary information, you can proceed using the following buttons:
- | Back: To go back to the previous windows to select a different option.
- | Next: Proceed to the publishing of the WebSite.


Information

is an Incomedia product

Copyright 2007 Incomedia. All rights reserved.


Notes on Internet export

During publication the following problems, independent from the correct WebSite X5 working, can arise:

- | Internet access not working
 | Solution: Verify that the parameters for the Internet access are correct and that the connection is available.
- | Wrong communication parameters
 | Solution: Contact your Provider to verify the correctness of the introduced parameters (FTP address, Login or Username, Password).
- | Wrong target folder
 | Solution: You can't publish the files in the folder selected on the Server. You have to contact your Provider to confirm the correctness of the folder where publish your pages. Usually the folder where publish the files is the one containing the file Index.html.
- | The export is blocked by the programs Firewall, Anti-Spyware or Anti-Virus
 | Solution: Disable temporarily the protection programs installed on your PC or configure them to allow the free access to Internet of WebSite X5.
- | Server temporarily not available
 | Solution: The Server could be in maintenance phase or in restarting phase. Retry the operation in a second moment or contact your Provider.
- | Space on disc insufficient
 | Solution: The space on disc of the Server, given by the Provider according to the contract, is insufficient to carry out the publication of the total site. Verify the possibility to free the space deleting all the files already published before proceeding again with the export.


Effetto della pagina...

Notes on the images transparency

In the format of the cell and first level menus buttons definition, you can make the program to automatically create some images. .

Because the buttons haven't always the rectangular form, the images are saved as GIF files with transparent background. To make the perimeter don't be shelled in the case of shapes with rounded borders, an antialiasing effect is applied. Thanks to this antialiasing effect, the color set as transparent is blended with the background one where the image is inserted.

You have, then, to set correctly the color that has to be considered transparent. You have to act on the setting Border Color for the cell format, on the setting Outer color for transparency for the buttons present in the section Colors of the window Items style of first level.

To avoid the images remain "holed", the transparent color has to be a color don't used into the image itself (for example: the text color or the background color)

To avoid, instead, that the images have a differently colored border, the transparent color has to be analogous to the one of the background where to superpose the image.

In the greater part of cases, it is better to select the transparent color into the grey scale, as proposed by default by the program.

Example of wrong transparent color: | Example of correct transparent color:
Used transparent color: | Used transparent color:

 To identify the background color where superpose the image, you can use the tool dropper present in the Color window.


Using WebSite X5 with Windows XP SP2

If WebSite X5 is used on a computer that has Windows XP Service Pack 2 installed, Internet Explorer will block the scripts of active content.

Your WebSite will not preview correctly in Internet Explorer because the default settings have to block the scripts.

To avoid specifying each time the view of the blocked content, you can disable the Information Bar of Internet Explorer only for the pages locally displayed.
To do this you have to follow this procedure:
- from the menu Tools of Internet Explorer select Internet Options...
- access the section Advanced
- enable the option Allow the running of active content files in the computer in the section Protection.

 Let us remember that this protection is enabled only to view the site locally and not for the view of the site once published.


L'ambiente di lavoro

Proponendosi come una condotta guidata, WebSite X5 si presenta come una serie di videate attraverso le quali l’utente giunge ad inserire tutte le informazioni necessarie per creare e pubblicare un sito Internet completo, funzionale e graficamente accativamente.

Tutte le videate presentate dal programma sono accomunate da un'identica interfaccia grafica che prevede una pulsantiera superiore, una laterale e una inferiore sempre invariate, e una finestra centrale che cambia in relazione alla fase di lavoro e, di conseguenza, alle informazioni richieste.

Pulsantiera superiore

-

Aiuto: permette di richiamare la presente Guida on line. Tramite la freccia a destra del pulsante Aiuto è possibile accedere anche ai comandi:
- | Guide [Summary]: it can be used to retrieve the online guide.
- | Go to www.websitex5.com: it enables the user to access the reference Internet site for the software. Furthermore, the site created with WebSite X5, presents a rich and varied Gallery of sites created and directly signaled by the users.
- | Tutorial: it enables the user to access a series of VideoTutorials specifically created to explain how to start working with the software.
- | Official forum: it enables the user to directly access the official WebSite X5 forum.The forum, active in Italian, English and German gathers a lively community of users: it's the meeting place where it is possible to exchange information, suggestions and experiences.
- | Search for updates: it enables the user to check if there are any updated versions of the software installed.
- | Information about WebSite X5: it enables the user to open a window which displays information about the software.

-

Salva: permette di procedere al salvataggio del progetto. Tramite la freccia a destra del pulsante Salva è possibile accedere al comando Salva con nome che consente di salvare il progetto con un nome diverso da quello originale, in modo da crearne una copia.

Ad ogni salvataggio, viene mantenuta una copia della versione precedente al salvataggio che viene archiviata con estensione .BWS. Questo file può essere rinominato con estensione .IWP e utilizzato come copia di backup.

-

Prova: permette di visualizzare tramite un browser interno un'anteprima in locale del sito realizzato. Tramite la freccia a destra del pulsante Prova è possibile accedere alle opzioni Prova tutto il sito e Prova questa pagina che consentono di scegliere se generare l'anteprima di tutte le pagine o della sola pagina sulla quale sia sta lavorando. In quest'ultimo caso la visualizzazione dell'anteprima risulta essere più veloce.

Pulsantiera laterale
WebSite X5 permette di giungere alla realizzazione di un sito Internet procedendo attraverso soli 5 passi: questi pulsanti servono quindi per indicare a quale fase del progetto si sta lavorando e/o per consentire il passaggio diretto a fasi diverse, anche non conseguenti, del progetto.

1. | Impostazioni generali
2. | Creazione della mappa
3. | Creazione delle pagine
4. | Impostazioni avanzate
5. | Esportazione

Pulsantiera inferiore
- | Indietro: permette di tornare alla finestra precedente per modificare impostazioni già definite.
- | Avanti: permette di passare alla finestra successiva per proseguire nella creazione del sito.
- | Esci: permette di chiudere la corrente sessione di lavoro e di uscire da WebSite X5.


impostazioni dei collegamenti

Stile collegamenti

Questa finestra presenta i comandi attraverso i quali è possibile procedere alla definizione di alcune impostazioni avanzate relative allo stile grafico dei collegamenti ipertestuali.

Tutte le modifiche apportate vengono visualizzate nel riquadro Anteprima.

Nello specifico, le opzioni sulle quali si può agire sono:
- | Collegamento attivo: permette di definire, attraverso la finestra Colore richiamata, il colore del testo per i collegamenti ipertestuali.
- | Collegamento già visitato: permette di definire, attraverso la finestra Colore richiamata, il colore del testo dei collegamenti ipertestuali già visitati dall'utente.
- | Colore testo su passaggio: permette di definire, attraverso la finestra Colore richiamata, il colore del testo dei collegamenti ipertestuali quando il mouse è posizionato in loro corrispondenza (effetto mouseover).
- | Colore sfondo su passaggio: permette di definire, attraverso la finestra Colore richiamata, il colore dello sfondo che deve essere visualizzato dietro al testo dei collegamenti ipertestuali quando il mouse è posizionato in loro corrispondenza (effetto mouseover).
- | Testo collegamento sottolineato: attivando questa opzione, tutti i testi relativi ai collegamenti ipertestuali appaiono sottolineati.
- | Puntatore: permette specificare l'aspetto del puntatore del mouse. Cliccando su [image] si può selezionare un file .CUR, .ICO e .ANI (icona animata) per specificare l'aspetto del cursore.

 Nella sottocartella "Cursors" della cartella di installazione di WebSite X5, è disponibile una raccolta di immagini idonee per personalizzare l'aspetto del puntatore.

Definite le impostazioni avanzate per lo stile dei collegamenti ipertestuali, è possibile procedere utilizzando i seguenti pulsanti:
- | Ok: permette di tornare alla finestra Impostazioni avanzate salvando le impostazioni definite.
- | Annulla: permette di tornare alla finestra Impostazioni avanzate non salvando le impostazioni definite.